function [ Ckt ] = Ckt_SolnLin3( Ckt, Fresp, MIX, ...
    Opt_Disp )
riFCT  = [1 -1];

%% ########################### Lin-Soln:    Ckt.Soln.( Vdep ){n}{nmixRCD,nRI}
n = 1;
for nmixRCD = 1 : size( Fresp.fmixFLAG_RCD{n},1 )
	%riVEC	= Fresp.fmixFLAG_RCD{n}(nmixRCD,:);
    if(Opt_Disp) disp(['=========================================== [nmixRCD n]=' num2str([nmixRCD  n])]);end
for nRI = 1 : 2
    if(Opt_Disp) disp(['---------------------- nRI=' num2str(nRI)]);end
%================================================================= Lin Real/Imag resp
    nBD     = MIX.IdxBD_RCD{n}(nmixRCD,1);
    nmixBD	= MIX.IdxBD_RCD{n}(nmixRCD,2);
Z_CEL   = {};
    for nz = 1 : length( Ckt.CharCEL_Z )
        Z               = Ckt.CharCEL_Z{ nz };
        Z_CEL{ nz }     = Ckt.SYM_ZBD.( Z ){nBD}{nmixBD,nRI};
    end
Vsrc_CEL = {};
    for nSRC = 1 : length( Ckt.CharCEL_Vsrc )
        Vsrc           	= Ckt.CharCEL_Vsrc{ nSRC };
        Vsrc_CEL{ nSRC } = Ckt.Soln.( Vsrc ){n}{nmixRCD,nRI};
    end
%----------------------    
    %{Ckt.CharCEL_Z{:}}
Ymat	= subs( Ckt.SYM_Ymat, ...
        {Ckt.CharCEL_Z{:}   's'}, ...
        {Z_CEL{:}           (j*2*pi * riFCT(nRI) * MIX.fmixSYM_RCD{n}(nmixRCD))} );
%----------------------    
    %Ckt.SYM_ILIN
    %{ Ckt.CharCEL_Vsrc{:} }
    %[ Vsrc_CEL{:}         ]
Ilin_VEC = subs( Ckt.SYM_ILIN, ...
        {Ckt.CharCEL_Vsrc{:}	Ckt.CharCEL_Z{:}	's'}, ...
        {Vsrc_CEL{:}            Z_CEL{:}         	(j*2*pi * riFCT(nRI) * MIX.fmixSYM_RCD{n}(nmixRCD))} )
V_VEC	= Ymat \ Ilin_VEC% V_VEC * 2, Ilin_VEC / 2
    for nV = 1 : Ckt.NumV
        Vdep = Ckt.CharCEL_Vdep{ nV };
        Ckt.Soln.( Vdep ){n}{nmixRCD,nRI} = V_VEC(nV);
    end
%=================================================================
	if(Opt_Disp)
        %Z_CEL{ : }% DEBUG
        %Vsrc_CEL{ : }% DEBUG
        %Ymat
        %Ilin_VEC
        %V_VEC
	end
end
end

%% ########################### Scrap
if(0)
%function [ SymMAT ] = ZBD_Acces( CharCEL )

%Ckt.SYM_Ymat_  =  inv( Ckt.SYM_Ymat );
%V	= Ckt.SYM_Ymat_ * Ckt.SYM_ILIN;
V	= Ckt.SYM_Ymat \ Ckt.SYM_ILIN;
    if(Opt_Disp)
        V% DEBUG
    end
    VexprSYM = subs( V(nV),	...
                    {Ckt.CharCEL_Z{:}   Ckt.CharCEL_Vsrc{:}}, ...
                    {Z_CEL{:}           Vsrc_CEL{:}} );
        if(Opt_Disp)
            Vexpr_VEC = [];
        end
    for nV = 1 : Ckt.NumV
        Vdep = Ckt.CharCEL_Vdep{ nV };
        Ckt.Soln.( Vdep ){n}{nmixRCD,nRI} = VexprSYM;
            if(Opt_Disp)
                Vexpr_VEC = [Vexpr_VEC;     VexprSYM];% DEBUG
            end
    end
        if(Opt_Disp)
            Vexpr_VEC% DEBUG
        end
        
end