function [ Ckt ] = Ckt_Soln_VarCEL( Ckt, Fresp, BD, ...
    Opt_Disp )
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

%% ########################### SYM_[A] => SYMcel/vec_[A]
Ckt.SYMcel_A	= {};
%========================================================== Mtone Source
for q = 1 : Ckt.Q
    Ckt.SYMcel_A = { Ckt.SYMcel_A{:}	Ckt.SYM_A{q,:} };%################## SYMcel_A
end
    Ckt.SYMvec_A = SYMcel2SYMvec( Ckt.SYMcel_A );
    Ckt.SYMvec_A% DEBUG

%% ########################### SYM_[R/gNL/  zBD.(Z)]  =>  SYMcel/vec (Used + UnUsed)
[ Ckt.SYMcel	Ckt.SYMvec ] = Ckt_SYMveccel( Ckt.SYM_R, Ckt.SYM_ZBD, Ckt.SYM_gNL, Ckt, Fresp, BD);
    Ckt.SYMvec% DEBUG
    
%% ########################### Soln2_[fSEPAR].( Vfit )  =>  TEMP_RCD (Used)  =>  SYM_[R/gNL/  zBD.(Z)]_[fSEPAR]
%######## SYMvec_DEL = ZBD/gNL_DEL
[ Ckt.SYM_ZBD_fSEPAR	Ckt.SYM_gNL_fSEPAR	SYMvec_DEL_fSEPAR ] = Vfit_SYM_DEL( Ckt.Soln2_fSEPAR,	Ckt.SYM_ZBD, Ckt.SYM_gNL, Ckt, BD);
[ Ckt.SYM_ZBD           Ckt.SYM_gNL         SYMvec_DEL ]        = Vfit_SYM_DEL( Ckt.Soln2,          Ckt.SYM_ZBD, Ckt.SYM_gNL, Ckt, BD);

%% ########################### SYMvec_DEL_[fSEPAR]	=>	CLEAN  Soln.( Vdep ){n}{nMIX,nRI}
for n = 1 : size( Fresp.fmix,1 )
for nMIX = 1 : size( Fresp.fmix{n,1},1 )
    if(Opt_Disp)  disp(['%##############################################################[n nMIX]=' num2str([n nMIX])]); end
for nRI = 1 : 2
if(Fresp.fmix{n,1}(nMIX,nRI) ~= 0)
%---------------------------------------------------- 
    for nV = 1 : Ckt.NumV
        Vdep	= Ckt.CharCEL_Vdep{ nV };
        V       = Ckt.Soln.( Vdep ){n}{nMIX,nRI}% DEBUG
            sym(findsym( V ))% DEBUG
    if(V ~= 0)
        [ flagISFOUND   ]	= Find_Vec( SYMvec_DEL, sym(findsym( V )),'VECTOR', 'symSUBnum',[Ckt.SYMvec	Ckt.SYMvec_A], 0);
        [ flagISFOUND_2 ]   = Find_Vec( SYMvec_DEL, sym(findsym( V )),'VECTOR', 'symSUBnum',SYMvec_DEL, 0);
        if(flagISFOUND ~= flagISFOUND_2)
            disp('ERROR: flagISFOUND ~= flagISFOUND_2')% DEBUG
        end
        if flagISFOUND
            disp('flagISFOUND')% DEBUG
            Ckt.Soln.( Vdep ){n}{nMIX,nRI} = 0;
        end
    end
    end
%----------------------------------------------------
end
end
end
end
    
%% **************************************************** Soln2_[fSEPAR].( Vfit )  =>  TEMP_RCD (Used)
%######## =>  SYM_[R/gNL/  zBD.(Z)]_[fSEPAR]
%######## SYMvec_DEL = ZBD/gNL_DEL
function [ SYM_ZBD	SYM_gNL     SYMvec_DEL ] = Vfit_SYM_DEL( Soln2, SYM_ZBD, SYM_gNL, Ckt, BD)

TEMP = [];
for nRESP = 1 : size( Fresp.fRESP_IDX,1 )
    for nV = 1 : length( Ckt.Vfit )
        Vdep	= Ckt.Vfit{ nV };
        TEMP	= [TEMP     sym(findsym( Soln2.( Vdep ){nRESP,1} ))];
    end
end
    TEMP% DEBUG
[TEMP_RCD	xVEC_IDX] = MatRowCondens( TEMP.',  [Ckt.SYMvec	Ckt.SYMvec_A].');%,	xVEC_count,	xVEC_IDXcel, xVEC_NUM , 'SMART'
	[ xVEC_IDX.';     TEMP_RCD.';     TEMP( xVEC_IDX ) ]% DEBUG
%[ TEMP_RCD2,       xVEC_IDX2, xVEC_count2, xVEC_IDXcel2, xVEC_NUM2 ] = MatRowCondens( ...
%    TEMP.', [Ckt.SYMvec	Ckt.SYMvec_A].', 'DUMB');
%	[ xVEC_IDX.';     TEMP_RCD2.';     TEMP( xVEC_IDX2 ) ]% DEBUG
%    isequal( xVEC_IDX, xVEC_IDX2 )% DEBUG
%    isequal( xVEC_count, xVEC_count2 )% DEBUG
%    isequal( xVEC_NUM, xVEC_NUM2 )% DEBUG

%========================================================== Lin
%-------------------------- SYM_ZBD
ZBD_DEL = [];
for nz = 1 : length( Ckt.CharCEL_Z )
    Z       = Ckt.CharCEL_Z{ nz };
    Z_DEL	= [];	disp(['%--------------- ' Z]);
for nBD = 1 : length( BD.fmix )
for nMIX = 1 : size( BD.fmix{nBD},1 )
for nRI = 1 : 2
    y   = SYM_ZBD.( Z ){nBD}{nMIX,nRI};
    [ flagISFOUND ] = Find_Elem( TEMP_RCD, y,'symSUBnum',TEMP_RCD);
    if ~flagISFOUND
        Z_DEL = [Z_DEL     y];
        SYM_ZBD.( Z ){nBD}{nMIX,nRI} = sym( 0 );
    end
end
end
end
    Z_DEL% DEBUG
    ZBD_DEL = [ZBD_DEL  Z_DEL];
end
%========================================================== NL
%-------------------------- SYM_gNL
gNL_DEL = [];
    Field_CEL = fieldnames( SYM_gNL );
for ng = 1 : length( Field_CEL )
    gNL     = Field_CEL{ ng };
    g_DEL	= [];	disp(['%--------------- ' gNL]);
for r = 2 : size(Fresp.fRESP_IDX, 2)
    y   = SYM_gNL.( gNL )(r);
    [ flagISFOUND ] = Find_Elem( TEMP_RCD, y,'symSUBnum',TEMP_RCD);
    if ~flagISFOUND
        g_DEL = [g_DEL     y];
        SYM_gNL.( gNL )(r) = sym( 0 );
    end
end
    g_DEL% DEBUG
    gNL_DEL = [gNL_DEL  g_DEL];
end
%==========================================================
SYMvec_DEL = [ZBD_DEL	gNL_DEL];

return
%% ###########################
if(0)


end