function [ Ckt ] = Ckt_Soln_VarIDX( Ckt, Fresp, BD, ...
    Opt_Disp )
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

%% ########################### SYM_[R/gNL/  zBD.(Z)]_[fSEPAR]  =>  SYMcel/vec_RCD (control Num->Sym SEQUENCE, else same content as TEMP_RCD)
[ Ckt.SYMcel_RCD            Ckt.SYMvec_RCD          ] = Ckt_SYMveccel( Ckt.SYM_R, Ckt.SYM_ZBD,          Ckt.SYM_gNL,        Ckt, Fresp, BD);
[ Ckt.SYMcel_RCD_fSEPAR     Ckt.SYMvec_RCD_fSEPAR   ] = Ckt_SYMveccel( Ckt.SYM_R, Ckt.SYM_ZBD_fSEPAR,   Ckt.SYM_gNL_fSEPAR, Ckt, Fresp, BD);
    Ckt.SYMvec_RCD% DEBUG
    Ckt.SYMvec_RCD_fSEPAR% DEBUG
    
%% ########################### Soln => ExprSUBsym_IDX
for nRESP = 1 : size( Fresp.fRESP_IDX,1 )
for nV = 1 : length( Ckt.Vfit )
	Vdep	= Ckt.Vfit{ nV };
%---------------------------------------------------- Soln2
if( Ckt.Soln2.( Vdep ){nRESP,1} ~= 0)
	[ExprVar_CHAR	ExprVar_SYM     ExprVar_IDX] = ExprVar_IDX( Ckt.Soln2.( Vdep ){nRESP,1}, Ckt.SYMvec_RCD, 0);   
	Ckt.Soln2_VarSYM.( Vdep ){nRESP,1}	= ExprVar_SYM;
	Ckt.Soln2_VarIDX.( Vdep ){nRESP,1}	= ExprVar_IDX;
	[ExprVar_CHAR	ExprVar_SYM     ExprVar_IDX] = ExprVar_IDX( Ckt.Soln2.( Vdep ){nRESP,1}, Ckt.SYM_AVEC, 0);
	Ckt.Soln2_ASYM.( Vdep ){nRESP,1}  	= ExprVar_SYM;
	Ckt.Soln2_AIDX.( Vdep ){nRESP,1}   	= ExprVar_IDX;
end
%---------------------------------------------------- Soln2_fSEPAR
if( Ckt.Soln2_fSEPAR.( Vdep ){nRESP,1} ~= 0)
	[ExprVar_CHAR	ExprVar_SYM     ExprVar_IDX ] = ExprVar_IDX( Ckt.Soln2_fSEPAR.( Vdep ){nRESP,1}, Ckt.SYMvec_RCD_fSEPAR, 0);
	Ckt.Soln2_fSEPAR_VarSYM.( Vdep ){nRESP,1}	= ExprVar_SYM;
	Ckt.Soln2_fSEPAR_VarIDX.( Vdep ){nRESP,1}	= ExprVar_IDX;
	[ExprVar_CHAR	ExprVar_SYM     ExprVar_IDX ] = ExprVar_IDX( Ckt.Soln2_fSEPAR.( Vdep ){nRESP,1}, Ckt.SYM_AVEC, 0);
	Ckt.Soln2_fSEPAR_ASYM.( Vdep ){nRESP,1}  	= ExprVar_SYM;
	Ckt.Soln2_fSEPAR_AIDX.( Vdep ){nRESP,1}   	= ExprVar_IDX;
end
%----------------------------------------------------
end
end

%% ****************************************************
if(0)
    
%%########################### Soln => ExprSUBsym_IDX
for nRESP = 1 : size( Fresp.fRESP_IDX,1 )
    V_VEC = sym( zeros([Ckt.NumV,1]) );
%=================================================================
for n = 1 : size( Fresp.fRESP_IDX,2 )
    if(Opt_Disp)  disp(['%##############################################################[nRESP n]=' num2str([nRESP  n])]); end
    nRESP_IDX	= Fresp.fRESP_IDX( nRESP,n );
	ri_RESP     = Fresp.fRESP_RI( nRESP,1 );% dont need bc want +fRESP
if(nRESP_IDX ~= 0)
%---------------------------------------------------- 
    for nV = 1 : Ckt.NumV
        Vdep        = Ckt.CharCEL_Vdep{ nV };
        V_VEC(nV)	= V_VEC(nV) + ...
                        Ckt.Soln.( Vdep ){n}{nRESP_IDX,ri_RESP};
        %---------------------
        [ ExprVar_SYM2	ExprVar_IDX2 ] = ExprVar_IDX( Ckt.Soln.( Vdep ){n}{nRESP_IDX,ri_RESP}, Ckt.SYM_VEC, 0);% Ckt.Mat_CEL, ExprVar_CHAR     
        Ckt.Soln_VarSYM.( Vdep ){n}{nRESP_IDX,ri_RESP}	= ExprVar_SYM2;
        Ckt.Soln_VarIDX.( Vdep ){n}{nRESP_IDX,ri_RESP}	= ExprVar_IDX2;
        %---------------------
        [ ExprVar_SYM2	ExprVar_IDX2 ] = ExprVar_IDX( Ckt.Soln.( Vdep ){n}{nRESP_IDX,ri_RESP}, Ckt.SYM_AVEC, 0);% Ckt.Mat_CEL, ExprVar_CHAR     
        Ckt.Soln_ASYM.( Vdep ){n}{nRESP_IDX,ri_RESP}  	= ExprVar_SYM2;
        Ckt.Soln_AIDX.( Vdep ){n}{nRESP_IDX,ri_RESP}   	= ExprVar_IDX2;
        %---------------------
        if(Opt_Disp)
            sym(findsym( Ckt.Soln.( Vdep ){n}{nRESP_IDX,ri_RESP} ))
            Ckt.Soln_VarSYM.( Vdep ){n}{nRESP_IDX,ri_RESP}
            Ckt.Soln_ASYM.( Vdep ){n}{nRESP_IDX,ri_RESP}
        end
    end
%----------------------------------------------------
end
end
%=================================================================
    for nV = 1 : Ckt.NumV
        Vdep	= Ckt.CharCEL_Vdep{ nV };
        %---------------------
        [ ExprVar_SYM2	ExprVar_IDX2] = ExprVar_IDX( V_VEC(nV), Ckt.SYM_VEC, 0);% Ckt.Mat_CEL,  ExprVar_CHAR     ExprVar_SYMcel      
        Ckt.Soln2.( Vdep ){nRESP,1}       	= V_VEC(nV);
        Ckt.Soln2_VarSYM.( Vdep ){nRESP,1}	= ExprVar_SYM2;
        Ckt.Soln2_VarIDX.( Vdep ){nRESP,1}	= ExprVar_IDX2;
        %---------------------
        [ ExprVar_SYM2	ExprVar_IDX2] = ExprVar_IDX( V_VEC(nV), Ckt.SYM_AVEC, 0);% Ckt.Mat_CEL,  ExprVar_CHAR     ExprVar_SYMcel      
        Ckt.Soln2_ASYM.( Vdep ){nRESP,1}  	= ExprVar_SYM2;
        Ckt.Soln2_AIDX.( Vdep ){nRESP,1}   	= ExprVar_IDX2;
        %---------------------
        if(Opt_Disp)
            sym(findsym( V_VEC(nV) ))
            Ckt.Soln2_VarSYM.( Vdep ){nRESP,1}
            Ckt.Soln2_ASYM.( Vdep ){nRESP,1}
        end
    end
end
        Ckt.Soln_VarCHAR.( Vdep ){n}{nRESP_IDX,ri_RESP}     = ExprVar_CHAR;
        Ckt.Soln_VarSYMcel.( Vdep ){n}{nRESP_IDX,ri_RESP}	= ExprVar_SYMcel;
        Ckt.Soln_ACHAR.( Vdep ){n}{nRESP_IDX,ri_RESP} 	= ExprVar_CHAR;
        Ckt.Soln_ASYMcel.( Vdep ){n}{nRESP_IDX,ri_RESP}	= ExprVar_SYMcel;
        
        Ckt.Soln2_VarCHAR.( Vdep ){nRESP,1}     = ExprVar_CHAR;
        Ckt.Soln2_VarSYMcel.( Vdep ){nRESP,1}	= ExprVar_SYMcel;
        Ckt.Soln2_ACHAR.( Vdep ){nRESP,1}  	= ExprVar_CHAR;
        Ckt.Soln2_ASYMcel.( Vdep ){nRESP,1}	= ExprVar_SYMcel;
        
end