function [ ExprVar_NUMcel ] = ExprVar_NumSUB( ExprVar_IDX2, Var_NUMcel )
%----------------------------
% 	ExprVar_IDX2	= IDX in Var_SYMcel / Var_NUMcel
%	Var_NUMcel      = {[FreqPts]}
%----------------------------
%   ExprVar_NUMcel{ nSYM } = Var_NUMcel{ nCEL }
%----------------------------------------------

ExprVar_NUMcel = {};
%% ###########################
VecLen_Min = inf;
VecLen_MAX = 1;
for nVAR = 1 : length( ExprVar_IDX2 )
	ExprVar_NUMcel{ nVAR } = Var_NUMcel{ ExprVar_IDX2{ nVAR } };
    if(length(ExprVar_NUMcel{ nVAR }) == 1)
        VecLen_Min = 1;
    end
    if(length(ExprVar_NUMcel{ nVAR }) > 1)
        VecLen_MAX = length(ExprVar_NUMcel{ nVAR });
    end
end

if((VecLen_Min == 1) && (VecLen_MAX > 1))
for nVAR = 1 : length( ExprVar_IDX2 )
    if(length(ExprVar_NUMcel{ nVAR }) == 1)
        ExprVar_NUMcel{ nVAR } = repmat( ExprVar_NUMcel{ nVAR }, [VecLen_MAX 1]);
    end
    if(length(ExprVar_NUMcel{ nVAR }) ~= VecLen_MAX)
        disp('ERROR: UnEqual length in ExprVar_NUMcel')
    end
end
end
%% ########################### TEST
if(0)
    % type of Param, (> length(Var_NUMcel)
    if ~isempty( ExprVar_IDX2{ nVAR } )
    else
        disp('ERROR: empty ExprVar_IDX2{ nVAR }, ExprVar should always be found in Var_SYMcel')
    end

    [ Var_NUMcel ] = ExprVar_NumSUB( ExprVar_IDX2, ...
                {Ckt.SYM_R{:}	Ckt.SYM_ZBD.( Z ){nBD}{nMIX,:}	Ckt.SYM_gNL{r,:}} );
	InputNumCEL{:}

end