function [ BD ] = INL_Fresp_BandSYM( Fresp, MIX, ...
	Opt_Disp)
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

BD.fmix  	= {};% {[0] [fc] [HDn]}
BD.fmixHD	= {};% {[0] [fc] [HDn]}
BD.fmixSYM  = {};% {[0] [fc] [HDn]}
BD.CHAR     = {};% {[0] [fc] [HDn]}
%% ########################### Fresp.fmix{n,1}(nMIX, ri)  in  MIX.fmix_RCD{n}
if(Opt_Disp)
    disp(['%########################### collect Fresp.fmix in BD.fmix'])
end

for n = 1 : length( Fresp.fmix )
for nMIX = 1 : size( Fresp.fmix{n,1},1 )
%=================================================================
	riVEC   = Fresp.fmix{n,1}(nMIX,:);
if ~isequal( riVEC, zeros(size( riVEC )))
%----------------------------------------------------------------- collect in BD.fmix
nBD	= MIX.fmixHD_RCD{n}(nMIX) + 1;
	if(length( BD.fmix ) < nBD)% if nth-BD dont exist yet, creat it
       	BD.fmix{nBD}   	= [];
       	BD.fmixHD{nBD}	= [];
       	BD.fmixSYM{nBD}	= [];
    end
	BD.fmix{nBD}   	= [BD.fmix{nBD};    MIX.fmix_RCD{n}(nMIX,:)];
	BD.fmixHD{nBD}	= [BD.fmixHD{nBD};  MIX.fmixHD_RCD{n}(nMIX,:)];
	BD.fmixSYM{nBD}	= [BD.fmixSYM{nBD}; MIX.fmixSYM_RCD{n}(nMIX,:)];
%-----------------------------------------------------------------
end
%=================================================================
end
end

%% ########################### Condense + Sort-ascending
for nBD = 1 : length( BD.fmix )
    if(Opt_Disp)
        disp(['%---------------------------------------- nBD=' num2str(nBD)])
        [BD.fmix{nBD}     BD.fmixHD{nBD}     BD.fmixSYM{nBD}]% DEBUG
    end
%----------------------------------------------------------------- Condense
[ BD.fmix{nBD}	nMIX_IDX	xVEC_count	xVEC_IDXcel ] = MatRowCondens( BD.fmix{nBD} );
	BD.fmixHD{nBD}	= BD.fmixHD{nBD}( nMIX_IDX,: );
	BD.fmixSYM{nBD}	= BD.fmixSYM{nBD}( nMIX_IDX,: );
    if(Opt_Disp)
        [BD.fmix{nBD}     BD.fmixHD{nBD}     BD.fmixSYM{nBD}]% DEBUG
    end
%----------------------------------------------------------------- Sort-ascending
[ fmixNUM_VEC	nMIX_IDX ] = sort( single( subs(BD.fmixSYM{nBD}, MIX.fSymVEC, MIX.fNumVEC) ),'ascend');
	BD.fmix{nBD}	= BD.fmix{nBD}( nMIX_IDX,: );
	BD.fmixHD{nBD}	= BD.fmixHD{nBD}( nMIX_IDX,: );
	BD.fmixSYM{nBD}	= BD.fmixSYM{nBD}( nMIX_IDX,: );
    if(Opt_Disp)
        [BD.fmix{nBD}     BD.fmixHD{nBD}     BD.fmixSYM{nBD}]% DEBUG
    end
%-----------------------------------------------------------------
end

%% ########################### CHAR
if(Opt_Disp)
    disp(['%########################### creat BD.CHAR from BD.fmix'])
end

for nBD = 1 : length( BD.fmix )
    if(Opt_Disp)
        disp(['%---------------------------------------- nBD=' num2str(nBD)])
        [BD.fmix{nBD}     BD.fmixHD{nBD}     BD.fmixSYM{nBD}]% DEBUG
    end
    switch (nBD-1)
        case{ 0 }
            HD_char = ['DC'];%
        case{ 1 }
            HD_char = ['f'];
        otherwise
            HD_char = ['hd' int2str(nBD-1)];
    end
%----------------------------------------------------------------- 
for nMIX = 1 : size( BD.fmix{nBD},1 )
	BD.CHAR{nBD}{nMIX,1}	= ['_' HD_char num2str(nMIX)    ];% Real freq
	BD.CHAR{nBD}{nMIX,2}	= ['_' HD_char num2str(nMIX) '_'];% Conj freq
    if(Opt_Disp)
        [ BD.CHAR{nBD}{nMIX,1} '       ' BD.CHAR{nBD}{nMIX,2} ]% DEBUG
    end
end
%-----------------------------------------------------------------
end

%% ########################### TEST
if (0)
   

end