function [ Fm2 ] = INL_Mult_Condense( Fm, Mn, MIX, Opt, ...
    Opt_Disp)
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

switch Opt
%% =============================================
    case{'Select'}
%% =============================================
    case{'ALL'}
for n   	= 1 : length( Fm )
for nmixRCD	= 1 : size( Fm{n},1 )
for nRI    	= 1 : size( Fm{n},2 )
    if(Opt_Disp) 
        disp( sprintf('============================================================ n=%-5d  nmixRCD=%-5d  nRI=%-5d  fmixSYM=%-s', ...
       	n, nmixRCD, nRI, char(MIX.fmixSYM_RCD{n}(nmixRCD))) );
        Mn.PolyOrd_MAT{n}
	end
%################################################################################################
for rC = 1 : size( Mn.PolyOrd_MAT{n}, 1 )%size( Fm{n}{nmixRCD, nRI}.Mn, 1 )%
    %PolyOrd_VEC      	= Mn.PolyOrd_MAT{n}(rC,:);
    PolyOrd_nMIXMAT     = Fm{n}{nmixRCD, nRI}.Mn{rC,1};
    PolyOrd_riMAT       = Fm{n}{nmixRCD, nRI}.Mn{rC,2};
    if(Opt_Disp) 
        disp(['%--------------------------------------------[rC]=' num2str([rC])]);
    end
if(size( PolyOrd_nMIXMAT, 1 ) > 0)
%============================================================rMIX
[ PolyOrd_nMIXMAT_2  PolyOrd_riMAT_2  PolyOrd_coefVEC_2 ] = Mult_Condense( ...
    PolyOrd_nMIXMAT, PolyOrd_riMAT, Opt_Disp);
Fm2{n}{ nmixRCD,nRI }.Mn{rC,1} = PolyOrd_nMIXMAT_2;
Fm2{n}{ nmixRCD,nRI }.Mn{rC,2} = PolyOrd_riMAT_2;
Fm2{n}{ nmixRCD,nRI }.Mn{rC,3} = PolyOrd_coefVEC_2;
%============================================================
end
    if(Opt_Disp) 
        if( size(PolyOrd_nMIXMAT,1) ~= size(PolyOrd_nMIXMAT_2,1) )
            PolyOrd_nMIXMAT
            PolyOrd_riMAT
            disp( sprintf('%################mix = %d reduced to %d', size(PolyOrd_nMIXMAT,1), ...
                size(PolyOrd_nMIXMAT_2,1)) );
            PolyOrd_coefVEC_2
            PolyOrd_nMIXMAT_2
            PolyOrd_riMAT_2
        end
    end
end
%################################################################################################
end
end
end
%% ============================================= 
end

%% ######################################################
function [ PolyOrd_nMIXMAT_2  PolyOrd_riMAT_2  PolyOrd_coefVEC_2 ] = Mult_Condense( ...
    PolyOrd_nMIXMAT, PolyOrd_riMAT, Opt_Disp)

PolyOrd_nMIXMAT_2	= PolyOrd_nMIXMAT(1,:);% Init
PolyOrd_riMAT_2     = PolyOrd_riMAT(1,:);% Init
PolyOrd_coefVEC_2 	= [1];% Init

for rMIX = 2 : size( PolyOrd_nMIXMAT, 1 )
    isFOUND = 0;
    %----------------------------------------------------------------- find in *_2
    for rMIX_2 = 1 : size( PolyOrd_nMIXMAT_2, 1 )
        mixBOOL	= (PolyOrd_nMIXMAT(rMIX,:)	== PolyOrd_nMIXMAT_2(rMIX_2,:));
        riBOOL 	= (PolyOrd_riMAT(rMIX,:)  	== PolyOrd_riMAT_2(rMIX_2,:));
        if isempty(find(mixBOOL == 0)) && isempty(find(riBOOL == 0))% all 1's
            isFOUND = 1;
            break;
        end
    end
    %----------------------------------------------------------------- 
    if( isFOUND )% IN *_2
        PolyOrd_coefVEC_2( rMIX_2 ) = PolyOrd_coefVEC_2( rMIX_2 ) + 1;
            if( Opt_Disp )
                disp(['%############### [rMIX  rMIX_2]=' num2str([rMIX  rMIX_2])]);
                %[PolyOrd_nMIXMAT(rMIX,:);	PolyOrd_nMIXMAT_2(rMIX_2,:) ]% DEBUG
                %[PolyOrd_riMAT(rMIX,:);   	PolyOrd_riMAT_2(rMIX_2,:) ]% DEBUG
            end
    else% NOT IN *_2
        PolyOrd_nMIXMAT_2   = [PolyOrd_nMIXMAT_2;   PolyOrd_nMIXMAT(rMIX,:)];
        PolyOrd_riMAT_2     = [PolyOrd_riMAT_2;     PolyOrd_riMAT(rMIX,:)];
        PolyOrd_coefVEC_2 	= [PolyOrd_coefVEC_2;   1];
    end
    %----------------------------------------------------------------- 
end