function [ nmixRCD  nRI ] = Mix_RCDsearch( fmixVEC, fmix_RCD, ...
    Opt_Disp)
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

ri_FCT = [ 1	-1 ];% bc "fmix_RCD" has only +Freq "fmix_VEC"

%% ###################################################### find fmix_VEC in fmix_RCD{n} = nmixRCD
for nRI = 1 : 2
    [ nmixRCD	xXORy_IDX	yVEC_IDX	yXORy_IDX] = Find_VecIDX( ...
        ri_FCT(nRI) * fmix_RCD, ...
        fmixVEC, 'MATRIX', 'Not symSUBnum', [], 0);
	if ~isempty( nmixRCD )
        if(Opt_Disp)
            if(nRI == 2)
                disp(['WARNING!!! Conjugate-freq in Fresp.fRESP_MAT']);
            end
        end
      	break
	end
end
    %if(nRI == 2)
    %    disp(['WARNING!!! Conjugate-freq in F_PART.fmix: NOT necessary since it cant be measured']);
    %end
    
%% ###################################################### 
    %[ nmixRCD2	xXORy_IDX2	yVEC_IDX2	yXORy_IDX2] = Find_VecIDX_Func( ...
    %    ri_FCT(nRI) * fmix_RCD, ...
    %    fmixVEC, 'MATRIX', [], 0);
    %isequal( nmixRCD, nmixRCD2 )
    %isequal( xXORy_IDX, xXORy_IDX2 )
    %isequal( yVEC_IDX, yVEC_IDX2 )
    %isequal( yXORy_IDX, yXORy_IDX2 )
