function [] = Plot_Buss_Func2(...
    VSA, Optim_MtoneFit, ModMeasCEL, ...
    FigVEC, LineSpec, PlotOpt)
%Optim_MtoneFit = 'S21H3'
%ModMeasCEL = { 'MDL' 'Meas'; ...
%               '-k'  '-r';...
%               'GA'  'VSA'}
%FigVEC = [ fig_FreqS21 fig_FreqHBB_RI ]

if(0)
    ToneSpace   = VSA.fDSB_dB;
    xLabel      = 'ToneSpace (dBKhz)';
else
    VSA.fc      = 2e9;% need to add field to VSA
    [f12_SSB_Lin,   f12_DSB_Lin]    = FreqAxis_Func( VSA.df_BB./2,      struct('LindB','Lin'), VSA.fc);
    [fim3_SSB_Lin,  fim3_DSB_Lin]   = FreqAxis_Func( VSA.df_BB.*3./2,	struct('LindB','Lin'), VSA.fc);
    %ToneSpace   = (VSA.fDSB_Lin - VSA.fc) / 1e6;
    xLabel      = 'Frequency (Mhz)';
end

%if want simple legend
ModMeasCEL{2} = '';

switch Optim_MtoneFit
%% ######################################################
    case{'S21H3'}
switch ModMeasCEL{1}
    %====================================================
    case{'MDL'}
S21dB_DSB = Lin2dB_dB( VSA.S21_DSBmdl );
for n_idx = 1 : length(VSA.x_IdxSet)
    n_pwr   = VSA.x_IdxSet(n_idx);
    pwr_dBm = Round_NumDecim( VSA.x_dBm(n_idx), 2 );
    if(1)%-------------- S21
	plot_Sio_Func2( ToneSpace, S21dB_DSB(:,n_pwr), FigVEC(1), ...
        'dB',{'yLin'},{'xLin'},{}, ...
        {'S21'},{xLabel},{},{['MDL ' ModMeasCEL{2} num2str(pwr_dBm) 'dBm']}, ...
        [LineSpec PlotOpt.marker(n_pwr)], PlotOpt)
    end
    if(1)%-------------- H3
	plot_Sio_Func2( ToneSpace, VSA.H3_DSBmdl(:,n_pwr), FigVEC(2), ...
        'RI',{'yLin'},{'xLin'},{}, ...
        {'H3'},{xLabel},{},{['MDL ' ModMeasCEL{2} num2str(pwr_dBm) 'dBm']}, ...
        [LineSpec PlotOpt.marker(n_pwr)], PlotOpt)
    end
end
    %====================================================
    case{'Meas'}
S21dB_DSB = Lin2dB_dB( VSA.S21_DSBavg );
for n_idx = 1 : length(VSA.x_IdxSet)
    n_pwr   = VSA.x_IdxSet(n_idx);
    pwr_dBm = Round_NumDecim( VSA.x_dBm(n_idx), 2 );
    if(1)%-------------- S21
	plot_Sio_Func2( ToneSpace, S21dB_DSB(:,n_pwr), FigVEC(1), ...
        'dB',{'yLin'},{'xLin'},{}, ...
        {'S21'},{xLabel},{},{['Meas ' ModMeasCEL{2} num2str(pwr_dBm) 'dBm']}, ...
        [LineSpec PlotOpt.marker(n_pwr)], PlotOpt)
    end
    if(1)%-------------- H3
	plot_Sio_Func2( ToneSpace, VSA.H3_DSBavg(:,n_pwr), FigVEC(2), ...
        'RI',{'yLin'},{'xLin'},{}, ...
        {'H3'},{xLabel},{},{['Meas ' ModMeasCEL{2} num2str(pwr_dBm) 'dBm']}, ...
        [LineSpec PlotOpt.marker(n_pwr)], PlotOpt)
    end
    %====================================================
end
end
%% ######################################################
    case{'Pout'}
temp = [[1 : 2 : length(VSA.x_IdxSet)] length(VSA.x_IdxSet)];
switch ModMeasCEL{1}
    %==========================
    case{'MDL'}
for n = 1 : length( temp )
    n_idx   = temp( n );
    n_pwr   = VSA.x_IdxSet(n_idx);
    pwr_dBm = Round_NumDecim( VSA.x_dBm(n_idx), 2 );
    if(1)%-------------- f1f2
	plot_Sio_Func2( f12_DSB_Lin / 1e6, Vp02dBm_dB( VSA.f1f2_DSBmdl(:,n_pwr) ), FigVEC(1), ...
        'dB',{'yLin'},{'xLin'},{}, ...
        {'f1f2'},{xLabel},{'dBm' 'Deg'},{[]}, ...
        ['--k' PlotOpt.marker(n)], PlotOpt, '2-Fig');% LineSpec PlotOpt.marker(n_pwr)
    end
    if(1)%-------------- IM3
	plot_Sio_Func2( fim3_DSB_Lin / 1e6, Vp02dBm_dB( VSA.IM3_DSBmdl(:,n_pwr) ), FigVEC(2), ...
        'dB',{'yLin'},{'xLin'},{}, ...
        {'IM3'},{xLabel},{'dBm' 'Deg'},{[]}, ...
        ['--k' PlotOpt.marker(n)], PlotOpt, '2-Fig')
    end
    %if(0)
	%plot_Sio_Func(ToneSpace, Vp02dBm_RI(VSA.IM3_DSBmdl(:,n_pwr)),...
    %    'RI','RI-Lin', fig_Freq_IM3_RI,'Xlin',['-c' PlotOpt.marker(n_idx)],...
    %	 [],['IM3'],[],['MDL ' num2str(pwr_dBm) 'dBm'])
    %end
end
    %==========================
    case{'Meas'}
for n = 1 : length( temp )
    n_idx   = temp( n );
    n_pwr   = VSA.x_IdxSet(n_idx);
    pwr_dBm = Round_NumDecim( VSA.x_dBm(n_idx), 2 );
    if(1)%-------------- f1f2
	plot_Sio_Func2( f12_DSB_Lin / 1e6, Vp02dBm_dB( VSA.f1f2_DSBavg(:,n_pwr) ), FigVEC(1), ...
        'dB',{'yLin'},{'xLin'},{}, ...
        {'f1f2'},{xLabel},{'dBm' 'Deg'},{['Meas vs Model ' ModMeasCEL{2} num2str(pwr_dBm) 'dBm']}, ...
        ['-k' PlotOpt.marker(n)], PlotOpt, '2-Fig')
    end
    if(1)%-------------- IM3
	plot_Sio_Func2( fim3_DSB_Lin / 1e6, Vp02dBm_dB( VSA.IM3_DSBavg(:,n_pwr) ), FigVEC(2), ...
        'dB',{'yLin'},{'xLin'},{}, ...
        {'IM3'},{xLabel},{'dBm' 'Deg'},{['Meas vs Model ' ModMeasCEL{2} num2str(pwr_dBm) 'dBm']}, ...
        ['-k' PlotOpt.marker(n)], PlotOpt, '2-Fig')
    end
end
    %==========================
end
%% ######################################################
end
