function [] = plot_SMatrix_Func3( Pin, SnpCEL, figVEC, ...
    dBMaRiCEL, yScale, xScale, AxisVecCEL, ...
    titleCEL, xLabelCEL, yLabelCEL, legendCEL, ...
    LineSpecCEL, Opt_Fig, ...
    PlotOpt, Opt_Disp)
if ~exist('PlotOpt','var')
    PlotOpt = struct('Ln_Width',2,'Mkr_Size',6,'Font_Name','Times', 'Font_Size',20,'Font_Size_Leg',20,'Font_Weight','normal');
    %PlotOpt = struct('Ln_Width',2,'Mkr_Size',14,'Font_Size',30,'Font_Size_Leg',24,'Font_Weight','bold');
    %PlotOpt = struct('Ln_Width',1,'Mkr_Size',6,'Font_Size',10,'Font_Weight','normal');
end
%-------------------------
if ~exist('Opt_Fig','var')
    Opt_Fig     = '1-Fig';
end
%-------------------------
%-------------------------
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

dBMaRiCEL_      = dBMaRiCEL;
AxisVecCEL_     = AxisVecCEL;
titleCEL_       = titleCEL;
xLabelCEL_      = xLabelCEL;
yLabelCEL_      = yLabelCEL;
legendCEL_      = legendCEL;
LineSpecCEL_ 	= LineSpecCEL;

%% ###############################
for n = 1 : length( SnpCEL )
%==================================================================
if(length( dBMaRiCEL ) == 1)
    dBMaRiCEL_{n}	= dBMaRiCEL{1};
end

if isempty( AxisVecCEL )
    AxisVecCEL_{n}	= {};
elseif(length(AxisVecCEL) == 1)
    AxisVecCEL_{n}	= AxisVecCEL{1};
end

%-------------------------
if isempty( titleCEL )
    titleCEL_{n}	= {};
elseif(length(titleCEL) == 1)
    titleCEL_{n}	= titleCEL{1};
end

if isempty( xLabelCEL )
	xLabelCEL_{n}	= {};
elseif(length(xLabelCEL) == 1)
    xLabelCEL_{n}	= xLabelCEL{1};
end

if isempty( yLabelCEL )
	yLabelCEL_{n}	= {};
elseif(length(yLabelCEL) == 1)
    yLabelCEL_{n}	= yLabelCEL{1};
end

if isempty( legendCEL )
    legendCEL_{n}	= {};
elseif(length(legendCEL) == 1)
    legendCEL_{n}	= legendCEL{1};
end

%-------------------------
if isempty( LineSpecCEL )
    LineSpecCEL_{n}	= {};
elseif(length(LineSpecCEL) == 1)
    LineSpecCEL_{n}	= LineSpecCEL{1};
end
%==================================================================
end

%% ###############################
for n = 1 : length( SnpCEL )
%==================================================================
    %plot_Sio_Func(Pin, SnpCEL{n}, ...
    %    dBMaRiCEL{n}, yScale, ...
    %    figure(figVEC(n)), xScale, LineSpecCEL{n}, ...
    %    AxisVecCEL{n}, titleCEL{n}, xLabelCEL{n}, yLabelCEL{n}, legendCEL{n});
if Opt_Disp
    disp('%-------------------------')
    dBMaRiCEL_{n}
    { yScale }
    { xScale }
    AxisVecCEL_{n}
    titleCEL_{n}
    xLabelCEL_{n}
    yLabelCEL_{n}
    legendCEL_{n}
    LineSpecCEL_{n}
end
    if ~exist('Opt','var')
        Opt = struct('xDATA','yes', 'Stem','no');
    end
    plot_Sio_Func2( Pin, SnpCEL{n}, figure(figVEC(n)), ...
        dBMaRiCEL_{n}, {yScale}, {xScale}, AxisVecCEL_{n}, ...
        titleCEL_{n}, xLabelCEL_{n}, yLabelCEL_{n}, legendCEL_{n}, ...
        LineSpecCEL_{n}, Opt_Fig, Opt, ...
        PlotOpt);
%==================================================================
end

%% ############################### Testing
if (0)

end