function [  ] = Print_INL_NLTF_Wnr( Wnr, N, Opt)
Opt_Disp = 1;

switch Opt
%% =============================================
    case{'INL_NLTF'}
for n = 2 : N
    if(Opt_Disp) disp(['%============================================================ n=' num2str(n)]); end
for r = 2 : n
    if(Opt_Disp) disp(['%----------------------------- (n,r)=' num2str([n r])]); end
    Wnr.OrdPwr_MAT{n,r}
    Wnr.PolyOrd_MAT{n,r}
    Wnr.c_VEC{n,r}
InrSTR_LATEX = [num2str(n)  '! g_{'  num2str(r)  '} \big('];
%============================================================ OrdPwr_MAT, c_VEC
for rC = 1 : size( Wnr.PolyOrd_MAT{n,r}, 1 )
    C           = Wnr.c_VEC{n,r}(rC);
    PolyOrd_VEC	= Wnr.PolyOrd_MAT{n,r}(rC,:);
    %-----------------------------
    if(C == 1)
        InrSTR_rC	= ['\overline{'];
    else
        InrSTR_rC	= [num2str(C) ' \overline{'];
    end
    nOFFSET     = 0;
for k = 1 : length( PolyOrd_VEC )
        [ ArgSTR ]  = NLTF_arg( nOFFSET, PolyOrd_VEC(k) );
        InrSTR_rC	= [InrSTR_rC  'V_{'  num2str(PolyOrd_VEC(k))  '}'  ArgSTR  ' '];
        nOFFSET     = nOFFSET + PolyOrd_VEC( k );
end
    InrSTR_rC	= [InrSTR_rC(1:end-1) '}'];
	disp( InrSTR_rC )
    %-----------------------------
    InrSTR_LATEX = [InrSTR_LATEX  InrSTR_rC  ' + ']; 
end
%============================================================ 
    if(Opt_Disp) disp([' ']); end
InrSTR_LATEX = [InrSTR_LATEX(1:end-3)  '\big)']; 
	disp( InrSTR_LATEX )
end
end
%% =============================================

%% ============================================= 
end

%% ########################### 
function [ ArgSTR ] = NLTF_arg( nOFFSET, nr )

ArgSTR  = '(';
for n = 1 : nr
    ArgSTR  = [ArgSTR 'f_{' num2str(nOFFSET + n) '},'];
end
ArgSTR  = [ArgSTR(1:end-1) ')'];
return