function [  ] = Print_Mix_BD( IdxRCD_BD, MIX, Opt)

switch Opt
%% ============================================= print IdxRCD_BD
    case{'IdxRCD_BD'}
for nBD = 1 : length( MIX.fmix_BD )
    temp = sprintf('------------------------------------------------------nBD=%3d', nBD);
        if isfield(MIX,'BD_fHzLo')
            temp = [temp  sprintf('  Hz(%15.6g, %15.6g)',MIX.BD_fHzLo(nBD),MIX.BD_fHzHi(nBD))];
            temp = [temp  sprintf('  BW(%15.6g)',        MIX.BD_fHzHi(nBD)-MIX.BD_fHzLo(nBD))];
        end
    disp(temp)
for nMIX_BD = 1 : size( MIX.fmix_BD{nBD},1 )
    temp = sprintf('%12s ', char( MIX.fmixSYM_BD{nBD}(nMIX_BD) ));% +n*f1+m*f2 = 10
    N = 1;
%-----------------------------------------------------------------
if ~isempty( IdxRCD_BD{nBD}{nMIX_BD} )
    for nN = 1 : size( IdxRCD_BD{nBD}{nMIX_BD}, 1 )
        n = IdxRCD_BD{nBD}{nMIX_BD}(nN,1);
        for nn = N : n-1
        	temp = [temp  sprintf('%2s ',' ')];
        end
        temp = [temp  sprintf('%2d ',n)];
        N = n+1;
    end
    if(N <= MIX.N)
        for nn = N : MIX.N
        	temp = [temp  sprintf('%2s ',' ')];
        end
    end
%-----------------------------------------------------------------
else
        for nn = N : MIX.N
        	temp = [temp  sprintf('%2s ',' ')];
        end
end
%-----------------------------------------------------------------
    nMIX_ALL	= MIX.IdxALL_BD{ nBD }(nMIX_BD);
        if isfield(MIX,'fmixNUM_ALL')
            temp = [temp  sprintf('%15.6g ',MIX.fmixNUM_ALL( nMIX_ALL ))];% xxx.xxxxxxe+00d = 15
        end
    %------------------------------------
    disp(temp)
end
end
%% ============================================= print IdxRCD_BD
    case{'IdxRCD_CHART'}
IdxRCD_CHART = IdxRCD_BD;

temp0   = sprintf('%12s',' ');
temp    = sprintf('%12s',' ');
fmtstr0 = ['%' num2str(3*MIX.N) '.2g'];
fmtstr  = ['%' num2str(3*MIX.N) 's'];
    for mBD = 1 : length( MIX.fmix_BD )%CHART-COL
    for mMIX_BD = 1 : size( MIX.fmix_BD{mBD},1 )%CHART-COL
        nVEC = MIX.IdxRCD_BD{mBD}{mMIX_BD}(:,1);
        %if ~isempty( find(nVEC == 3) )
            nMIX_ALL = MIX.IdxALL_BD{ mBD }(mMIX_BD);
           	temp0 = [temp0  sprintf(fmtstr0, MIX.fmixNUM_ALL( nMIX_ALL ))];% xxx.xxxxxxe+00d = 15
            %---------------
            temp = [temp  sprintf(fmtstr, char( MIX.fmixSYM_BD{mBD}(mMIX_BD) ))];
        %end
    end
    end
disp(temp0)
disp(temp)

%============================================= 
for nBD = 1 : length( MIX.fmix_BD )%CHART-ROW
    %temp = sprintf('------------------------------------------------------nBD=%3d', nBD);
    %temp = [temp  sprintf('  Hz(%15.6g, %15.6g)',MIX.BD_fHzLo(nBD),MIX.BD_fHzHi(nBD))];
    %temp = [temp  sprintf('  BW(%15.6g)',MIX.BD_fHzHi(nBD)-MIX.BD_fHzLo(nBD))];
    temp = sprintf('------------------------------------------------------');
    temp = [temp  sprintf('------------------------------------------------------nBD=%d', nBD)];
    disp(temp)
for nMIX_BD = 1 : size( MIX.fmix_BD{nBD},1 )%CHART-ROW
    temp = sprintf('%12s ', char( MIX.fmixSYM_BD{nBD}(nMIX_BD) ));% +n*f1+m*f2 = 10
%-----------------------------------------------------------------
for mBD = 1 : length( MIX.fmix_BD )%CHART-COL
for mMIX_BD = 1 : size( MIX.fmix_BD{mBD},1 )%CHART-COL
    nVEC = MIX.IdxRCD_BD{mBD}{mMIX_BD}(:,1);
%------------------------------------
%if ~isempty( find(nVEC == 3) )
    for n = 1 : MIX.N
        FLAG = IdxRCD_CHART{ nBD, nMIX_BD, mBD, mMIX_BD }(n);
        if(FLAG)
            temp = [temp  sprintf('%2d ',n)];
        else
        	temp = [temp  sprintf('%2s ',' ')];
        end
    end
%end
%------------------------------------
end
end
%-----------------------------------------------------------------
    nMIX_ALL    = MIX.IdxALL_BD{ nBD }(nMIX_BD);
    temp = [temp  sprintf('%15.6g ',MIX.fmixNUM_ALL( nMIX_ALL ))];% xxx.xxxxxxe+00d = 15
    %------------------------------------
    disp(temp)
end
end

        
%% ============================================= 
end


%% ########################### TEST
if (0)
   
for nBD = 1 : length( MIX.fmix_BD )
    temp = sprintf('------------------------------------------------------nBD=%3d', nBD);
    temp = [temp  sprintf('  Hz(%15.6g, %15.6g)',MIX.BD_fHzLo(nBD),MIX.BD_fHzHi(nBD))];
    temp = [temp  sprintf('  BW(%15.6g)',MIX.BD_fHzHi(nBD)-MIX.BD_fHzLo(nBD))];
    disp(temp)
for nMIX_BD = 1 : size( MIX.fmix_BD{nBD},1 )
if ~isempty( MIX.IdxRCD_BD{nBD}{nMIX_BD} )
%-----------------------------------------------------------------
    temp = sprintf('%10s ', char( MIX.fmixSYM_BD{nBD}(nMIX_BD) ));
    N = 1;
    for nN = 1 : size( MIX.IdxRCD_BD{nBD}{nMIX_BD}, 1 )
        n = MIX.IdxRCD_BD{nBD}{nMIX_BD}(nN,1);
        for nn = N : n-1
        	temp = [temp  sprintf('%2s ',' ')];
        end
        temp = [temp  sprintf('%2d ',n)];
        N = n+1;
    end
    if(N <= MIX.N)
        for nn = N : MIX.N
        	temp = [temp  sprintf('%2s ',' ')];
        end
    end
    %------------------------------------
    nMIX_ALL    = MIX.IdxALL_BD{ nBD }(nMIX_BD);
    temp = [temp  sprintf('%15.6g ',MIX.fmixNUM_ALL( nMIX_ALL ))];% xxx.xxxxxxe+00d = 15
    %------------------------------------
    disp(temp)
%-----------------------------------------------------------------
end
end
end

end