function [MagdB] = Lin2dB(RI, Opt20)
% [MagdB]    = Lin2dB(RI)
% MagdB      = 20 * log10( abs( RI ) );
if ~exist('Opt20','var')
    Opt20 = 20;
end

if ~isa(RI, 'cell')
    MagdB = Opt20 * log10( abs( RI ) );
else
    for nCEL = 1 : length( RI )
        MagdB{nCEL} = Opt20 * log10( abs( RI{nCEL} ) );
    end
end
