function [S21_dB] = Lin2dB_dB( S21_RI, ContPha_ColRow, ...
    Opt_Unwrap, Opt_Pha)
% [x_dB]    = Lin2dB(x_lin)
%x_dB = 20 * log10( abs(x_lin) );

if ~exist('ContPha_ColRow', 'var')
    ContPha_ColRow = 'ROW';
end
if ~exist('Opt_Unwrap', 'var')
    Opt_Unwrap = 'UnWrap';
end
if ~exist('Opt_Pha', 'var')%if (nargin < 3)
    Opt_Pha = 'deg';
end

%% ################################################## 
if ~isa( S21_RI, 'cell')
    S21_dB = Lin2dB(S21_RI) + j*Pha(S21_RI, ContPha_ColRow, Opt_Unwrap, Opt_Pha);
else
    for nCEL = 1 : length( S21_RI )
        nCEL% DEBUG
        S21_dB{nCEL} = Lin2dB(S21_RI{nCEL}) + j*Pha(S21_RI{nCEL}, ContPha_ColRow, Opt_Unwrap, Opt_Pha);
    end
end

%% TEST
if(0)
    

end