function [ ExprVar_CHAR     ExprVar_SYM2     ExprVar_IDX2 ] = ExprVar_IDX( ...
	Expr, Var_SYM, ...
    Opt_Disp)
%----------------------------
%	Var_SYM   	= SYMcel2SYMvec( Var_SYMcel )
%---------------------------- Expr related
%	ExprVar_SYM2	= sym( Var-in-Expr )
%	ExprVar_IDX2	= IDX in Var_SYMcel
%----------------------------------------------
if ~exist('Opt_Disp','var')
	Opt_Disp = 0;
end

ExprVar_SYM2    = sym( [] );% [nSYM]
ExprVar_IDX2 	= {};% {nSYM [IDX]}

%% ###########################
if(Expr ~= 0)
    ExprVar_CHAR    = findsym( Expr);
    y               = sym( ExprVar_CHAR );
%----------------------------------------------
%t0 = clock;
[ xVEC_IDX     xXORy_IDX   yVEC_IDX     yXORy_IDX	y2xCEL_IDX] = Find_VecIDX(...
        Var_SYM, y,'VECTOR','Not symSUBnum',[], 0);
    
%	Var_SYM     not contain all     y
%   thus	y2xCEL_IDX{ nSYM } maybe empty
    nVAR = 0;
for nSYM = 1 : length( y )
    if ~isempty( y2xCEL_IDX{ nSYM } )
        nVAR = nVAR + 1;
        ExprVar_SYM2( nVAR ) = Var_SYM( y2xCEL_IDX{ nSYM } );
        ExprVar_IDX2{ nVAR } =          y2xCEL_IDX{ nSYM };
    end
end
    y% DEBUG
    ExprVar_SYM2% DEBUG
%etime(clock,t0)
%----------------------------------------------
end

%% ###########################
if(0)
%ExprVar_CHAR	= '';% [Char]
%ExprVar_CHAR	= findsym( Expr );
%ExprVar_SYMcel	= {};% {nSYM}
%ExprVar_SYMcel	= mat2cell( y, ...
%                        	ones(1,size(y,1)), ...
%                        	ones(1,size(y,2)) );

Var_SYM = SYMcel2SYMvec( Var_SYMcel );
    %else
        disp('ERROR: empty ExprVar_IDX{ nSYM }, ExprVar should always be found in Var_SYMcel')
	ExprVar_SYM3 = SYMcel2SYMvec( ExprVar_SYMcel )
    if ~isequal( y, ExprVar_SYM2 )
        disp('ERROR: y != ExprVar_SYM2')
    end
    if ~isequal( y, ExprVar_SYM3 )
        disp('ERROR: y != ExprVar_SYM3')
    end
%---------------------------------------------- find y(nSYM) in Var_SYMcel{nVAR}
for nSYM = 1 : length( y )
  	[flagISFOUND	Var_IDX	Var_IDX_] = Buss_fmBasis_Func( Var_SYM, y(nSYM),'fm_idx',Var_SYM);
    if(flagISFOUND)
        ExprVar_SYMcel{nSYM}	= y(nSYM);
        ExprVar_IDX{nVAR}	= [ExprVar_IDX{nVAR}     [nSYM; Var_IDX]];
        if(Opt_Disp)
            disp('%-------------')
            [y(nSYM)	nSYM	Var_IDX]% DEBUG
        end
    end
end
%----------------------------------------------

for nVAR = 1 : length( Var_SYMcel )
    Var = Var_SYMcel{nVAR};
	if(Opt_Disp)
        disp('%---------------------------')
        nVAR
        Var
    end
end
end