function [ AxisLim ] = AxisLim_Func(varargin)

division = varargin{1};

Dim     = find( max( size(varargin{1}) ) == size(varargin{1}) );

for k = 2:length(varargin)
   Min(k-1) = min( varargin{k} );
   Max(k-1) = max( varargin{k} );
end

Min_In  = min(Min);
Max_In  = max(Max);

Min_Out = floor( Min_In / division ) * division;
Max_Out = ceil( Max_In / division ) * division;

AxisLim = [ Min_Out Max_Out ];
