function [ BD ] = INL_Fresp_BandNUM( BD, MIX, Var_NUMcel, BandResoln )%, ...
%    Opt_Disp)
% fQMIX         {Q,nHD}{[freq=fxVEC_QHD          ] [IDX-to-fxQMIX =fx_IDX2] of size (fExprIDX,1-2)}
% fxQMIX        {Q,nHD}{[freq=fxVEC_QHD Condensed] [IDX-to-fxVEC  =fx_IDX1] of size (fExprIDX,1-2)}
% fxVEC         [SuperSet of [fxVEC_QHD Condensed] ]

%BD.fmix  	= {};% {[0] [fc] [HDn]}
%BD.fmixHD	= {};% {[0] [fc] [HDn]}
%BD.fmixSYM	= {};% {[0] [fc] [HDn]}
%BD.CHAR  	= {};% {[0] [fc] [HDn]}
%% ########################### BD.fmixNUM{nBD}{nMIX} --> BD.fNUM{nBD} --> BD.fNUM_ALL
disp(['%########################### BD.fmixNUM      BD.fNUM     BD.fNUM_ALL'])
    BD.fNUM_ALL     = [];
for nBD = 1 : length( BD.fmix )
        disp(['%---------------------------------------- nBD=' num2str(nBD)])
        [BD.fmix{nBD}     BD.fmixHD{nBD}     BD.fmixSYM{nBD}]% DEBUG
    BD.fNUM{nBD}	= [];
%----------------------------------------------------------------- 
for nMIX = 1 : size( BD.fmix{nBD},1 )
    fExpr = BD.fmixSYM{nBD}(nMIX,:);
	%---------------------------- Meth 0
    [ExprVar_CHAR       ExprVar_SYM2	ExprVar_IDX2] = ExprVar_IDX( fExpr, MIX.fSymVEC, 0);
    [ExprVar_NUMcel                                 ] = ExprVar_NumSUB( ExprVar_IDX2, Var_NUMcel);
    BD.fmixNUM{nBD}{nMIX}   = subs( fExpr, ExprVar_SYM2, ExprVar_NUMcel);
	%---------------------------- Meth 1
        [Expr_SymCHAR	Expr_SymCEL     SymCEL_IDX  ] = ExprSUBsym_Func( fExpr, MIX.fSymCEL);
        [Expr_MatCEL                                ] = ExprSUBnum_Func( SymCEL_IDX, Var_NUMcel,'LOOPvecELEM');
        fMIXnum_nMIX  	= ExprEVALnum_Func( fExpr, Expr_SymCHAR, Expr_MatCEL);
    if ~isequal( BD.fmixNUM{nBD}{nMIX}, fMIXnum_nMIX )
        disp('ERROR: diff in fExpr eval')
    end
	%----------------------------
    BD.fNUM{nBD}            = [BD.fNUM{nBD};    BD.fmixNUM{nBD}{nMIX}];
end
%-----------------------------------------------------------------
    BD.fNUM{nBD}            = MatRowCondens( BD.fNUM{nBD} );
        plot_Sio_Func2( BD.fNUM{nBD}, nBD *ones(size( BD.fNUM{nBD} )), [1], ...
            'dB',{'yLin'},{'xLin'},{},...
            {'S21'},{'Freq(Hz)'},{'dB' },{'S21'}, ...
            ['-' PlotOpt.colors(nBD) PlotOpt.marker(nBD)],PlotOpt,'0-Fig');
        %stem( BD.fNUM{nBD}, nBD *ones(size( BD.fNUM{nBD} )), ...
        %    ['-' PlotOpt.colors(nBD) PlotOpt.marker(nBD)],'fill')
    BD.fNUM_ALL = [BD.fNUM_ALL;     BD.fNUM{nBD}];
end
    BD.fNUM_ALL = sort( MatRowCondens( BD.fNUM_ALL),'ascend');

%% ########################### BD.fNUM_ALL --> BD.fNUM_BandDiv{nBD}
disp(['%########################### BD.fNUM_BandDiv'])
FLAG = 0;
while( FLAG == 0 )
%----------------------------------------------------------------- 
    if ~exist('BandResoln','var')
        BandResoln = input(['enter BandResoln(Hz): ']);
    end
    IDX_start	= 1;
    nBD         = 1;
while( IDX_start < length( BD.fNUM_ALL) )
    IDX_stop                = find( BD.fNUM_ALL > (BD.fNUM_ALL(IDX_start) + BandResoln), 1,'first');
    BD.fNUM_BandDiv{ nBD }	= BD.fNUM_ALL( IDX_start : (IDX_stop-1) );
        plot_Sio_Func2( BD.fNUM_BandDiv{ nBD }, nBD *ones(size( BD.fNUM_BandDiv{ nBD } )), [1], ...
            'dB',{'yLin'},{'xLin'},{},...
            {'S21'},{'Freq(Hz)'},{'dB' },{'S21'}, ...
            ['-' PlotOpt.colors(nBD) PlotOpt.marker(nBD)],PlotOpt,'0-Fig');
        %stem( BD.fNUM_BandDiv{ nBD }, nBD *ones(size( BD.fNUM_BandDiv{ nBD } )), ...
        %    ['-' PlotOpt.colors(nBD) PlotOpt.marker(nBD)],'fill')
    IDX_start	= IDX_stop;
    nBD       	= nBD + 1;
end
	FLAG = input(['is BandDiv acceptable [1/0]: ']);
    if( FLAG == 0 )
        delete BandResoln
    end
%----------------------------------------------------------------- 
end

for nBD = 1 : length( BD.fmix )
for nMIX = 1 : size( BD.fmix{nBD},1 )
%----------------------------------------------------------------- 
for kBD = 1 : length( BD.fmix )
    [xVEC_IDX	xXORy_IDX   yVEC_IDX	yXORy_IDX   y2xCEL_IDX] = Find_VecIDX( ...
            BD.fNUM_BandDiv{ kBD }, BD.fmixNUM{nBD}{nMIX}, 'VECTOR', 'Not symSUBnum',[],0);
    BD.fmixNUM_IDX{nBD}{nMIX} = cellmat( y2xCEL_IDX );% reshape( ,[],1) 
        if(length( BD.fmixNUM_IDX{nBD}{nMIX} ) ~= length( BD.fmixNUM{nBD}{nMIX} ))
            disp('ERROR: not equal-length IDX-VEC in y2xCEL_IDX')
        end
end
%-----------------------------------------------------------------
end
end
    
%% ########################### TEST
if(0)

	%[Expr_SymCHAR	Expr_SymCEL     SymCEL_IDX] = ExprSUBsym_Func( fExpr, MIXf_SymCEL, 0);%Opt_Disp
	[Expr_MatCEL]               = ExprSUBnum_Func( SymCEL_IDX, f{Q}, 'LOOPvecELEM');
	fQMIX{Q,nHD}{fExprIDX,1}	= ExprEVALnum_Func( fExpr, Expr_SymCHAR, Expr_MatCEL);


end
