function [ MIX ] = Mix_BandSYM2( MIX, ...
	Opt_Disp)
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

%% ########################### CHAR
if(Opt_Disp)
    disp(['%################################################# fmix_BD  ->  fmixCHAR_BD'])
end

MIX.fmixCHAR_BD	= {};% {[0] [fc] [HDn]}
for nBD = 1 : length( MIX.fmix_BD )
    if(Opt_Disp)
        disp(['----------------------------------------nBD=' num2str(nBD)])
        %[MIX.fmix_BD{nBD}	MIX.fmixHD_BD{nBD}      MIX.fmixSYM_BD{nBD}]% DEBUG
    end
    switch (nBD-1)
        case{ 0 }
            HD_char = ['DC'];%
        %case{ 1 }
        %   HD_char = ['f'];
        otherwise
            HD_char = ['BD' int2str(nBD-1)];% 'BD'=delimiter
    end
%----------------------------------------------------------------- 
for nMIX_BD = 1 : size( MIX.fmix_BD{nBD},1 )
    if(Opt_Disp)
        disp(sprintf('%3d  %3d    %3d    %10s',MIX.fmix_BD{nBD}(nMIX_BD,1), ...
            MIX.fmix_BD{nBD}(nMIX_BD,2),  MIX.fmixHD_BD{nBD}(nMIX_BD),  ...
            char( MIX.fmixSYM_BD{nBD}(nMIX_BD)) ))
    end
    %-----------------------------------
    tempMIX	= ['_'  HD_char];% '_'=delimiter
    for nk = 1 : length( MIX.fmix_BD{nBD}(nMIX_BD,:) )
        k = MIX.fmix_BD{nBD}(nMIX_BD,nk);
        if(k >= 0)
            tempMIX	= [tempMIX  'p'  num2str( k )];% 'p'=delimiter
        else%(k < 0)
            tempMIX	= [tempMIX  'm'  num2str( -k )];% 'm'=delimiter
        end
    end
	MIX.fmixCHAR_BD{nBD}{nMIX_BD,1}	= tempMIX;% Real
	MIX.fmixCHAR_BD{nBD}{nMIX_BD,2}	= [tempMIX '_'];% Conj
    %-----------------------------------
    if(Opt_Disp)
        disp(sprintf('%10s     %10s', ...
            MIX.fmixCHAR_BD{nBD}{nMIX_BD,1}, ...
            MIX.fmixCHAR_BD{nBD}{nMIX_BD,2} ))
    end
end
%-----------------------------------------------------------------
end

%% ########################### TEST
if (0)
   
    tempMIX	= ['_'  HD_char '_'];
        if(k == 0)
            tempMIX	= [tempMIX       num2str( k )];
        elseif(k > 0)
            tempMIX	= [tempMIX  'p'  num2str( k )];% 'p'=delimiter
        end

end