function [ RCD_IDX ] = Mix_Select( fRESP_MAT, ...
    MIX, ...
    Opt_Disp)
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end
%    fmix = fRESP_MAT(nRESP,:);
%        RCD_IDX.nMIX(nRESP,n)	= nRESP_IDX;
%        RCD_IDX.ri(nRESP,n) 	= ri_RESP;
RCD_IDX.nMIX    = zeros( size( fRESP_MAT,1 ), MIX.N );
RCD_IDX.ri      = zeros( size( fRESP_MAT,1 ), MIX.N );

%% ########################### 
for nRESP = 1 : size( fRESP_MAT,1 )
    fmix = fRESP_MAT(nRESP,:);
    if(Opt_Disp)
        disp( sprintf('################################################ nRESP=%-5d  fmix=[%-5d %-5d]',nRESP, fmix) );
    end
for n = 1 : MIX.N
%---------------------------------XXXXXXX(nRESP_IDX,  ri_RESP): find fRESP in MIX.fmix_RCD{n}
ri_FCT = [ 1	-1 ];% bc "fmix_RCD" has only +Freq "fmix_VEC"
flagISFOUND = 0;
for ri_RESP = 1 : 2
    [ nRESP_IDX     xXORy_IDX	yVEC_IDX	yXORy_IDX] = Find_VecIDX_Func( ...
        ri_FCT(ri_RESP) * MIX.fmix_RCD{n}, ...
        fmix, 'MATRIX', [], 0);
    if ~isempty( nRESP_IDX )
        RCD_IDX.nMIX(nRESP,n)	= nRESP_IDX;
        RCD_IDX.ri(nRESP,n) 	= ri_RESP;
        if(Opt_Disp)
            disp( sprintf('n=%-5d  nMIX=%-5d  ri=%-5d  fmixSYM=%-s', ...
                n, nRESP_IDX, ri_RESP, char(MIX.fmixSYM_RCD{n}(nRESP_IDX))) );
        end
        flagISFOUND = 1;
        break
    end
end
    if(flagISFOUND && (ri_RESP == 2))
        disp(['WARNING!!! Conjugate-freq in Fresp.fRESP: NOT necessary since it cant be measured']);
        disp( sprintf('n=%-5d  nRESP=%-5d  fmix=[%-5d %-5d]',n, nRESP, fmix) );
    end
%---------------------------------
end
end