function [ ] = Plot_Spectr2_LSNA( Wav, WavIN, ...
    Opt, Meas, fmix_PART, ...
    PlotOpt, LegWavnam, Opt_Fig, FigOffset)

TitleSTR=[Meas.DUT_name ' (' LegWavnam ')'];
switch Opt.PlotType
    %---------------------------------------------------------
	case{'2Dspectra_xIdx','2Dspectra_xIdx_MAT'}
       	xScale	= 'xLin';   xLab='Index';% x_fVEC(find(x_fVEC == NaN)) = NaN;
	case{'2Dspectra_xLin','2Dspectra_xLin_MAT'}
      	xScale	= 'xLin';	xLab=['Frequency(' Meas.FreqUnit ')']; 
	case{'2Dspectra_xLog','2Dspectra_xLog_MAT'}
    	xScale  = 'xLog';	xLab=['Frequency(' Meas.FreqUnit ')']; 
    %---------------------------------------------------------
	case{'3Dspectra','3Dspectra_MAT'}
        xLab=['P2(' Meas.AmpUnit ')']; yLab=['Frequency(' Meas.FreqUnit ')'];
    %---------------------------------------------------------
end

if(isfield(Opt,'VSA_xVarNam') && isfield(Opt,'VSA_xVarNam'))% WCDMA
    y_fVSA = Meas.VSA_P3out_Freq{1}{1,1};
        MidIdx	= floor( length(y_fVSA) / 2 ) + 1;
        %Step 	= (length(y_fVSA) - 1) / Opt.VSA_xSampFct;
        Step    = Opt.VSA_Step;
        VSA_Idx	= [[1:Step:(MidIdx-1)]	MidIdx  [(MidIdx):Step:length(y_fVSA)]];
        %    length( VSA_Idx )
end

fnumMAT_PARTIDX = Opt.Idx_Seq{ 1 };
P2_IDX          = Opt.Idx_Seq{ 2 };
DF_IDX          = Opt.Idx_Seq{ 3 };
P1_IDX          = Opt.Idx_Seq{ 4 };
%% ################################################## 
    nP1=0;      nMARK=0;        nP1DFP2=0;
for idxP1 = P1_IDX
    nP1=nP1+1;  nDF=0;
for idxDF = DF_IDX
    nDF=nDF+1;  nMARK=nMARK+1;
%=====================================================================================
    switch Opt.MeasType
        case{'2Tone'}% idxDF dependent
            x_dBmVEC	= real( Lin2dB( WavIN.a1_f1{idxDF}(P2_IDX) ) + ...
                                Lin2dB( WavIN.a1_f2{idxDF}(P2_IDX) ) )/2;
        case{'2Tone_Cosite'}% idxP1 dependent
            %x_dBmVEC	= real( Lin2dB( WavIN.A_f1{idxDF,idxP1}(P2_IDX) ) );
            x_dBmVEC	= real( Lin2dB( WavIN.B_f2{idxDF,idxP1}(P2_IDX) ) );
    end
    %for nWAV = 1 : length( Opt.WavName )
    %    WavName             = Opt.WavName{ nWAV };
	%	z_WavMAT.(WavName)	= NaN * ones([P2_IDX(end)	size(fnumMAT_PARTIDX, 2)]);% [P2  nMIX]
    %end
%--------------------------------------------------------------------------------------
for nMIX = 1 : size( fnumMAT_PARTIDX, 2)
    nIM	= fnumMAT_PARTIDX( idxDF, nMIX );
if ~isnan(nIM)
    fIM	= Meas.SigGen0_Mhz{ idxDF }( nIM );
        y_fVEC_P2           = fIM * ones([1  length(P2_IDX)]);
        y_fMAT(idxDF, nMIX)	= fIM;
    for nWAV = 1 : length( Opt.WavName )
        WavName                     = Opt.WavName{ nWAV };
		z_WavMAT.(WavName)(:,nMIX)	= Wav.(WavName){idxDF,idxP1}(nIM,P2_IDX);% [P2  nMIX]
    end
switch Opt.PlotType
	case{'2Dspectra_xIdx','2Dspectra_xLin','2Dspectra_xLog',    '3Dspectra'}
%=====================================================================================
switch Opt.PlotType
    %---------------------------------------------------------
	case{'2Dspectra_xIdx'}
        x_fVEC	= 1 : length( y_fVEC_P2 ); 
	case{'2Dspectra_xLin','2Dspectra_xLog'}
        x_fVEC  = y_fVEC_P2;
	case{'3Dspectra'}
        %x_dBmVEC   y_fVEC_P2
    %---------------------------------------------------------
end
for nWAV = 1 : length( Opt.WavName )
	WavName	= Opt.WavName{ nWAV };
     	BoolPlot=0;     BoolMix=0;      Line='';    LegSTR=[];
       	switch Opt.MeasType
         	%---------------------------------------------------------
          	case{'2Tone'}
                switch WavName
                    case{'a1'}
                        if isequal( fmix_PART(nMIX,:), [1 0])
                            BoolPlot=1;     BoolMix=1;      Color='g'; 
                            switch Opt.PlotType
                                case{'2Dspectra_xIdx','2Dspectra_xLin','2Dspectra_xLog'}
                                   	Mark='d'; 
                                case{'3Dspectra'}
                                    Mark='.';	Line=':';	
                            end
                        elseif isequal( fmix_PART(nMIX,:), [0 1])
                            BoolPlot=1;     BoolMix=1;      Color='g'; 
                            switch Opt.PlotType
                                case{'2Dspectra_xIdx','2Dspectra_xLin','2Dspectra_xLog'}
                                    Mark='d';   Line='';    
                                case{'3Dspectra'}
                                    Mark='.';   Line='-.';	
                            end
                        end
                    case{'b2','b1','a2'}
                      	BoolPlot = 1; 
                     	switch Opt.PlotType
                           	case{'3Dspectra'}
                             	Line='-';
                      	end
                        switch WavName
                            case{'b2'}
                                Mark='*';   Color='k'; 
                            case{'b1'}
                                Mark='o';   Color='r'; 
                            case{'a2'}
                                Mark='+';   Color='b'; 
                        end
                        if(nMIX == 1) BoolMix=1; end
                end
              	if((BoolPlot == 1) && (nMARK == 1) && BoolMix)
                	LegSTR=[WavName ' DF=' num2str(Meas.DF_KHz(idxDF)) 'kHz'];
              	end
         	%---------------------------------------------------------
           	case{'2Tone_Cosite'}
                Color=PlotOpt.colors(nMARK);
                switch WavName
                    case{'A'}
                        if isequal( fmix_PART(nMIX,:), [1 0])
                            BoolPlot=1;     BoolMix=1; 
                            switch Opt.PlotType
                                case{'2Dspectra_xIdx','2Dspectra_xLin','2Dspectra_xLog'}
                                 	Mark='d'; 
                                case{'3Dspectra'}
                                    Mark='d';    Line=':';	
                            end
                        end
                    case{'B'}
                        if isequal( fmix_PART(nMIX,:), [0 1])
                            BoolPlot=1;     BoolMix=1; 
                            switch Opt.PlotType
                                case{'2Dspectra_xIdx','2Dspectra_xLin','2Dspectra_xLog'}
                                    Mark='d'; 
                                case{'3Dspectra'}
                                    Mark='d';    Line='-.';	
                            end
                        end
                    case{'C'}
                      	BoolPlot=1;       
                            switch Opt.PlotType
                                case{'2Dspectra_xIdx','2Dspectra_xLin','2Dspectra_xLog'}
                                    Mark=PlotOpt.marker(nMARK); 
                                case{'3Dspectra'}
                                    Mark='';    Line='-';	
                            end
                        if(nMIX == 1) BoolMix=1; end
                end
              	if((BoolPlot == 1) && BoolMix)% && (nMARK == 1)
                 	LegSTR=[WavName ' P1=' num2str(Meas.SigGen1_dBm(idxP1)) 'dBm'];
              	end
         	%---------------------------------------------------------
        end
    	if(BoolPlot)
      	switch Opt.PlotType
          	case{'2Dspectra_xIdx','2Dspectra_xLin','2Dspectra_xLog'}
                plot_Sio_Func2( x_fVEC, Lin2dB_dB( z_WavMAT.(WavName)(:,nMIX) ), [1 + FigOffset], ...
                    'dB',{'yLin'},{xScale},{}, ...
                    {TitleSTR},{xLab},{'dBm' 'Deg'},{LegSTR}, ...
                    [Line Color Mark], Opt_Fig);
         	case{'3Dspectra'}
                %x_dBmVEC
                %y_fVEC_P2
                %Lin2dB_dB( z_WavMAT.(WavName)(:,nMIX) )
                plot_Sio_Mesh( x_dBmVEC, y_fVEC_P2, Lin2dB_dB( z_WavMAT.(WavName)(:,nMIX) ), [1 + FigOffset], ...
                    'dB', [], ...
                    TitleSTR, {xLab  yLab 'dBm' 'deg'}, LegSTR, ...
                    [Line Color Mark], Opt_Fig, struct('Type','plot3'));
     	end
        end
end
%=====================================================================================
end
if(isfield(Opt,'VSA_xVarNam') && isfield(Opt,'VSA_yVarNam'))% WCDMA
%=====================================================================================
nP2=0;
for idxP2 = P2_IDX
    nP2=nP2+1;  nP1DFP2=nP1DFP2+1;
	Color=PlotOpt.colors(nP1DFP2);	Line='--';    
  	%switch Opt.PlotType
    %	case{'2Dspectra_xIdx','2Dspectra_xLin','2Dspectra_xLog'}
    %        Line='--';%	Mark='';    
    %  	case{'3Dspectra'}
    %    	Line='--';	Mark='';    
    %end
    PlotOpt.Ln_Width = 1;
    PlotOpt.Mkr_Size = 5;
    PlotOpt.Font_Size = 14;%12
    PlotOpt.Font_Size_Leg = 14;%10
            if IsEven_Func( nP1DFP2 )
                Mark=PlotOpt.marker1(nP1DFP2);
            else
                Mark=PlotOpt.marker2(nP1DFP2);
            end
	if((nMIX == 1))% (nMARK == 1) &&  && (nP2 == 1)
     	%LegSTR=['VSA  (P1,P2)=(' num2str(Meas.SigGen1_dBm(idxP1)) ',' num2str(Meas.SigGen2_dBm(idxP2)) ')dBm'];
        dBm_A = round( Lin2dB( Wav.A{idxP1}(3,idxP2) ) * 100) / 100;
        dBm_B = round( Lin2dB( Wav.B{idxP1}(4,idxP2) ) * 100) / 100;
     	LegSTR=['RX P1=' num2str(dBm_A) 'dBm P2=' num2str(dBm_B) 'dBm'];
    else
     	LegSTR=[];
	end
    %---------------------------------------------------------
	y_fVSA      = Meas.(Opt.VSA_xVarNam){idxDF,idxP1}{nIM,idxP2}(VSA_Idx) / 1e6;
    switch Opt.VSA_yCORR
        case{'Meas'}
            z_dBmVSA	=           Meas.(Opt.VSA_yVarNam){idxDF,idxP1}{nIM,idxP2}(VSA_Idx);
        case{'Wav'}
            z_dBmVSA	= Lin2dB_dB( Wav.(Opt.VSA_yVarNam){idxDF,idxP1}{nIM,idxP2}(VSA_Idx) );
    end
	switch Opt.PlotType
     	%---------------------------------------------------------
        case{'2Dspectra_xIdx','2Dspectra_xLin','2Dspectra_xLog'}
                plot_Sio_Func2( y_fVSA, z_dBmVSA, [1 + FigOffset], ...
                    'dB',{'yLin'},{xScale},{}, ...
                    {},{xLab},{'dBm' 'Deg'},{LegSTR}, ...TitleSTR
                    [Line Color Mark], Opt_Fig, [], PlotOpt);
     	%---------------------------------------------------------
      	case{'3Dspectra'}
            x_dBmVSA = x_dBmVEC(nP2) * ones(size( y_fVSA ));
                plot_Sio_Mesh( x_dBmVSA, y_fVSA, z_dBmVSA, [1 + FigOffset], ...
                    'dB', [], ...
                    TitleSTR, {xLab  yLab 'dBm' 'deg'}, LegSTR, ...
                    [Line Color Mark], Opt_Fig, struct('Type','plot3'), PlotOpt);
     	%---------------------------------------------------------
	end
end
%=====================================================================================
end
end
end
%--------------------------------------------------------------------------------------
switch Opt.PlotType
	case{'2Dspectra_xIdx_MAT','2Dspectra_xLin_MAT','2Dspectra_xLog_MAT',	'3Dspectra_MAT'}
%###################################################################################
switch Opt.PlotType
    %---------------------------------------------------------
	case{'2Dspectra_xIdx_MAT'}% idxDF: same[-diff] plot,  ab#:diff plot
     	x_fVEC	= 1 : length( y_fMAT(idxDF, :) );% x_fVEC(find(x_fVEC == NaN)) = NaN;
	case{'2Dspectra_xLin_MAT','2Dspectra_xLog_MAT'}% idxDF: same[-diff] plot,  ab#:diff plot
        x_fVEC  = y_fMAT(idxDF, :);
    %---------------------------------------------------------
end
for idxP2 = P2_IDX
for nWAV = 1 : length( Opt.WavName )
	WavName	= Opt.WavName{ nWAV };
        switch Opt.PlotType
            case{'2Dspectra_xIdx_MAT','2Dspectra_xLin_MAT','2Dspectra_xLog_MAT'}
                LegSTR=[];          Line='';    
            case{'3Dspectra_MAT'}
                LegSTR=[WavName ];
        end
       	switch Opt.MeasType
         	%---------------------------------------------------------
          	case{'2Tone'}
              	switch Opt.PlotType
                   	case{'3Dspectra_MAT'}
                      	Line='-';
             	end
                switch WavName
                    case{'b2'}
                      Mark='*'; Color='k'; 
                  	case{'b1'}
                      Mark='o'; Color='r'; 
                   	case{'a2'}
                      Mark='+'; Color='b'; 
              	end
              	if((idxP2 == 1) && (nMARK == 1))
                	LegSTR=[WavName ' DF=' num2str(Meas.DF_KHz(idxDF)) 'kHz'];
              	end
         	%---------------------------------------------------------
           	case{'2Tone_Cosite'}
                Color	= PlotOpt.colors(nMARK);
              	switch Opt.PlotType
                    %------------------------------------------
                   	case{'2Dspectra_xIdx_MAT','2Dspectra_xLin_MAT','2Dspectra_xLog_MAT'}
                        switch WavName
                            case{'C'}
                                Mark=PlotOpt.marker(nMARK); 
                        end
                   	%------------------------------------------
                   	case{'3Dspectra_MAT'}
                        switch WavName
                            case{'A'}
                                Line=':'; Mark=''; 
                            case{'B'}
                                Line='-.'; Mark=''; 
                          	case{'C'}
                                Line='-'; Mark=PlotOpt.marker(nMARK); 
                        end
                  	%------------------------------------------
             	end
              	if((idxP2 == 1) && (nMARK == 1))
                 	LegSTR=[WavName ' P1=' num2str(Meas.SigGen1_dBm(idxP1)) 'dBm'];
              	end
         	%---------------------------------------------------------
        end
        switch Opt.PlotType
            case{'2Dspectra_xIdx_MAT','2Dspectra_xLin_MAT','2Dspectra_xLog_MAT'}
                plot_Sio_Func2( x_fVEC, Lin2dB_dB( z_WavMAT.(WavName)(idxP2,:) ), [1 + FigOffset], ...
                    'dB',{'yLin'},{xScale},{}, ...
                    {TitleSTR},{xLab},{'dBm' 'Deg'},{LegSTR}, ...
                    [Line Color Mark], Opt_Fig);
            case{'3Dspectra_MAT'}
                [X,Y] = meshgrid( y_fMAT(idxDF,:), x_dBmVEC);%size( X ); size( Y ; size( Lin2dB_dB( z_WavMAT.(WavName), 'COL') )
                plot_Sio_Mesh( X, Y, Lin2dB_dB( z_WavMAT.(WavName), 'COL'), [1 + FigOffset], ...
                    'dB', [], ...
                    TitleSTR, {yLab  xLab  'dBm' 'deg'}, LegSTR, ...
                    [Line Color Mark], Opt_Fig, struct('Type','plot3'));
        end
end
end
%###################################################################################
end
%=====================================================================================
end
end
