function [] ...
    = Plot_Spectr_Func3(X,IsLog0, f,IsIndex, fig_X,color,fig_ManScale, ...
    f_Index,f_IndexRange)
%%nargin <  8: Plot All Spectr:         SegIndex = (1 : length(X))
%%nargin >= 8: Plot Around ToneIndex:   SegIndex = (f_Index(k)-f_IndexRange : f_Index(k)+f_IndexRange)

%% Replace 0 Entry with Noise, Prevent Log(0) Error
if (IsLog0 == 1)
if (min(X) == 0)    
    Index_Spectr	= find( X ~= 0 );
    X_Spectr        = ones(length(X),1) * dB2Lin(-140);
    for k = 1:length(Index_Spectr)
        X_Spectr(Index_Spectr(k)) = X(Index_Spectr(k));
    end
    X               = X_Spectr;
    clear X_Spectr;
end
end
%disp('ok');
%pause(3);

figure(fig_X);
if (nargin < 8)
%% nargin < 8: Plot All Spectr:         SegIndex = (1 : length(X))
        SegIndex	= (1 : length(X));
        if (IsIndex == 1)       % Plot v.s ToneIndex
            f_Seg   = f(SegIndex);
        else                    % Plot v.s Frequency
            f_Seg   = f(SegIndex) / 1e3;
        end
        subplot(2,1,1); hold on;
        y   = Lin2dB( X(SegIndex) );
            plot(f_Seg, y, ['-' color]);
            title('|X|');
            ylabel('Amplitude [dBU]');
            if (IsIndex == 1)       % Plot v.s ToneIndex
                xlabel('ToneIndex [Hz]');
            else                    % Plot v.s Frequency
                xlabel('Frequency [KHz]');
            end
            grid on;
            switch fig_ManScale
                case 'ON'
                    f_Range     = max(f_Seg) - min(f_Seg);
                    axis([min(f_Seg)-f_Range    max(f_Seg)+f_Range      max(y)-80 max(y)]);
            end
        subplot(2,1,2); hold on;
        y   = angle( X(SegIndex) ) /pi*180;
            plot(f_Seg, y, cat(2,'-',color));
            title('Pha(X)');
            ylabel('Phase [Degree]');
            if (IsIndex == 1)       % Plot v.s ToneIndex
                xlabel('ToneIndex [Hz]');
            else                    % Plot v.s Frequency
                xlabel('Frequency [KHz]');
            end
            grid on;
            switch fig_ManScale
                case 'ON'
                    axis([min(f_Seg)-f_Range    max(f_Seg)+f_Range      -180 180]);
            end
else
%% nargin >= 8: Plot Around ToneIndex:   SegIndex = (f_Index(k)-f_IndexRange : f_Index(k)+f_IndexRange)
% many subplots for [X_Tone f_Tone Index_Tone]
    f_norm      = 1e3;
    fig_rows    = 2;
    fig_cols    = length(f_Index);
    for k = 1:length(f_Index)
        SegIndex    = (f_Index(k)-f_IndexRange : f_Index(k)+f_IndexRange);
        if (IsIndex == 1)           % Plot v.s ToneIndex
            f_Seg   = f(SegIndex);
        else                        % Plot v.s Frequency
            f_Seg   = f(SegIndex) / 1e3;
        end
        subplot(fig_rows,fig_cols,k); hold on;
        plot(f_Seg, Lin2dB(X(SegIndex)), cat(2,'-',color));
            title('|X|');
            ylabel('Amplitude [dBU]');
            if (IsIndex == 1)       % Plot v.s ToneIndex
                xlabel('ToneIndex [Hz]');
            else                    % Plot v.s Frequency
                xlabel('Frequency [KHz]');
            end
            grid on;
            %f_Seg
        subplot(fig_rows,fig_cols,fig_cols+k); hold on;
        plot(f_Seg, angle(X(SegIndex))/pi*180, cat(2,'-',color)); 
            title('Pha(X)');
            ylabel('Phase [Degree]');
            if (IsIndex == 1)       % Plot v.s ToneIndex
                xlabel('ToneIndex [Hz]');
            else                    % Plot v.s Frequency
                xlabel('Frequency [KHz]');
            end
            grid on;
            %f_Seg
            %axis([
                %min(f_Seg)
% max(f_Seg) %-180 180]); 
    end
end



%axis([min(f/1e6) max(f/1e6) min(Lin2dB(X)) max(Lin2dB(X))]);
%axis([-1 1 -140 -40]);
