function [  ] = Print_INL_Mult( fRESP_MAT, Nvec, MIX, ...
    Mn, Fm, Fm2, Opt, Opt_LATEX)
Opt_Disp =1;

[ RCD_IDX ] = Mix_Select( fRESP_MAT, MIX, Opt_Disp);% find fRESP_MAT  in  MIX.fmix_RCD

switch Opt
%% ============================================= prints condensed Fm2
    case{'INL_DirCalc'}
for nRESP = 1 : size( fRESP_MAT,1 )
    fRESP_VEC = fRESP_MAT(nRESP,:);
    if(Opt_Disp)
        disp( sprintf('############################################################################ nRESP=%-5d  fRESP=[%-5d %-5d]', ...
            nRESP, fRESP_VEC) );
    end
for n = Nvec%1 : length(Fm2)%MIX.N
	nmix	= RCD_IDX.nMIX(nRESP,n);
	nri 	= RCD_IDX.ri(nRESP,n);
if(nmix ~= 0)% fRESP not in MIX.fmix_RCD{n}
    if(Opt_Disp) 
        disp( sprintf('============================================================ n=%-5d  nMIX=%-5d  nri=%-5d  fmixSYM=%-s', ...
       	n, nmix, nri, char(MIX.fmixSYM_RCD{n}(nmix))) );
    end
%################################################################################################
if( size( Mn.PolyOrd_MAT{n}, 1 ) > 0)% diff from Poly, exist empty Mn.PolyOrd_MAT{n} = []
    if(Opt_Disp) 
        Mn.PolyOrd_MAT{n}
    end
InrSTR = ['g_{2} \frac{1}{2} \big( '];
%============================================================ OrdPwr_MAT, c_VEC
    rcSTR	= [];
for rC = 1 : size( Mn.PolyOrd_MAT{n}, 1 )
    PolyOrd_VEC         = Mn.PolyOrd_MAT{n}(rC,:);
    PolyOrd_nMIXMAT     = Fm2{n}{ nmix,nri }.Mn{rC,1};
    PolyOrd_riMAT       = Fm2{n}{ nmix,nri }.Mn{rC,2};
    PolyOrd_coefVEC     = Fm2{n}{ nmix,nri }.Mn{rC,3};
    if(Opt_Disp) 
        disp(['%--------------------------------------------[rC]=' num2str([rC])]);
        if( size(Fm{n}{ nmix,nri }.Mn{rC,1},1) ~= size(PolyOrd_nMIXMAT,1) )
            Fm{n}{ nmix,nri }.Mn{rC,1}
            Fm{n}{ nmix,nri }.Mn{rC,2}
            disp( sprintf('%################mix = %d reduced to %d', size(Fm{n}{ nmix,nri }.Mn{rC,1},1), ...
                size(PolyOrd_nMIXMAT,1)) );
            PolyOrd_coefVEC
        end
        PolyOrd_nMIXMAT
        PolyOrd_riMAT
    end
%----------------------------------------------------------------- rMIX
    if(size( Mn.PolyOrd_MAT{n}, 1 ) > 1)
        rmixSTR = ['['];
    else
        rmixSTR = [];
    end
for rMIX = 1 : size( PolyOrd_nMIXMAT, 1 )
    %-----------------------------
    if(PolyOrd_coefVEC(rMIX) == 1)
        VprodSTR = [ ];
    else
        VprodSTR = [ num2str( PolyOrd_coefVEC(rMIX) ) ];
    end
VU = ['VU'];    
for k = 1 : length( PolyOrd_VEC )
	Ord_k	= PolyOrd_VEC(           k);
    Mix_k	= PolyOrd_nMIXMAT(  rMIX,k);
    ri_k    = PolyOrd_riMAT(    rMIX,k);
	fmix  	= MIX.fmix_RCD{Ord_k}(Mix_k,:);
	if(ri_k == -1)
        subscriptSTR = sprintf('%s^{*}_{%d,%d,%d}',VU(k), Ord_k, fmix(1), fmix(2));
    else
        subscriptSTR = sprintf('%s_{%d,%d,%d}',VU(k), Ord_k, fmix(1), fmix(2));
    end
    VprodSTR = [VprodSTR  subscriptSTR];
end
	if(Opt_LATEX) 
        disp( VprodSTR )%DEBUG
    end
    %-----------------------------
    rmixSTR = [rmixSTR  VprodSTR ' + '];
end
    if(size( Mn.PolyOrd_MAT{n}, 1 ) > 1)
        rmixSTR = [rmixSTR(1:end-3) ']'];
    else
        rmixSTR = [rmixSTR(1:end-3)];
    end
        if(Opt_LATEX) 
            disp( sprintf('%-10s = %-s','rmixSTR',rmixSTR) )%DEBUG
        end
%-----------------------------------------------------------------
	rcSTR	= [rcSTR  rmixSTR  ' + '];
end
    rcSTR	= [rcSTR(1:end-3)];
        if(Opt_LATEX) 
            disp( sprintf('%-10s = %-s','rcSTR',rcSTR) )%DEBUG
        end
    InrSTR	= [InrSTR  rcSTR  ' + ']; 
%============================================================ 
	InrSTR = [InrSTR(1:end-3)  ' \big)'];
        if(Opt_LATEX) 
            disp( sprintf('%-10s = %-s','InrSTR',InrSTR) )%DEBUG
        end
end
%################################################################################################
end
end
end
%% ============================================= prints Fm
%% ============================================= 
end

%% ########################### scrap
