function [  ] = Print_INL_Poly( fRESP_MAT, Nvec, MIX, ...
    Wnr, Fp, Fp2, Opt, Opt_LATEX)
Opt_Disp =1;

[ RCD_IDX ] = Mix_Select( fRESP_MAT, MIX, Opt_Disp);

switch Opt
%% ============================================= prints condensed Fp2
    case{'INL_DirCalc'}
for nRESP = 1 : size( fRESP_MAT,1 )
    fRESP_VEC = fRESP_MAT(nRESP,:);
    if(Opt_Disp)
        disp( sprintf('############################################################################ nRESP=%-5d  fRESP=[%-5d %-5d]', ...
            nRESP, fRESP_VEC) );
    end
for n = Nvec%1 : length(Fp2)%MIX.N
	nmix	= RCD_IDX.nMIX(nRESP,n);
	nri 	= RCD_IDX.ri(nRESP,n);
if(nmix ~= 0)% fRESP not in MIX.fmix_RCD{n}
	if(Opt_Disp)
        disp( sprintf('============================================================ n=%-5d  nMIX=%-5d  ri=%-5d  fmixSYM=%-s', ...
       	n, nmix, nri, char(MIX.fmixSYM_RCD{n}(nmix))) );
    end
%################################################################################################
for r = 2 : n
    if(Opt_Disp) 
        disp(['%============================================[r]=' num2str([r])]);
        Wnr.OrdPwr_MAT{n,r}
        Wnr.PolyOrd_MAT{n,r}
        Wnr.c_VEC{n,r}
	end
InrSTR = ['g_{'  num2str(r)  '} \big( '];
%============================================================ OrdPwr_MAT, c_VEC
    rcSTR	= [];
for rC = 1 : size( Wnr.PolyOrd_MAT{n,r}, 1 )
    C                   = Wnr.c_VEC{n,r}(rC);
    PolyOrd_VEC         = Wnr.PolyOrd_MAT{n,r}(rC,:);
    PolyOrd_nMIXMAT     = Fp2{n}{ nmix,nri }.wnr{r}{rC,1};
    PolyOrd_riMAT       = Fp2{n}{ nmix,nri }.wnr{r}{rC,2};
    PolyOrd_coefVEC     = Fp2{n}{ nmix,nri }.wnr{r}{rC,3};
    if(Opt_Disp) 
        disp(['%--------------------------------------------[rC]=' num2str([rC])]);
        Fp{n}{ nmix,nri }.wnr{r}{rC,1}
        Fp{n}{ nmix,nri }.wnr{r}{rC,2}
        Fp{n}{ nmix,nri }.wnr{r}{rC,3}
            disp( sprintf('#mix = %d reduced to %d', size(Fp{n}{ nmix,nri }.wnr{r}{rC,1},1), ...
                size(PolyOrd_nMIXMAT,1)) );
        PolyOrd_nMIXMAT
        PolyOrd_riMAT
        PolyOrd_coefVEC
    end
    if( (C/2^(r-1)) == 1)
        coefSTR	= '';
    else
        coefSTR	= sprintf('\\frac{%d}{%d} ', C, 2^(r-1));%     disp( coefSTR )
    end
        if(Opt_LATEX) 
            disp( sprintf('%-10s = %-s','coefSTR',coefSTR) )%DEBUG
        end
%------------------------------------------------------------- rMIX
    if(size( Wnr.PolyOrd_MAT{n,r}, 1 ) > 1)
        rmixSTR = ['['];
    else
        rmixSTR = [];
    end
for rMIX = 1 : size( PolyOrd_nMIXMAT, 1 )
    %-----------------------------
    if(PolyOrd_coefVEC(rMIX) == 1)
        VprodSTR = [ ];
    else
        VprodSTR = [ num2str( PolyOrd_coefVEC(rMIX) ) ];
    end
for k = 1 : length( PolyOrd_VEC )
	Ord_k	= PolyOrd_VEC(           k);
    Mix_k	= PolyOrd_nMIXMAT(  rMIX,k);
    ri_k    = PolyOrd_riMAT(    rMIX,k);
	fmix  	= MIX.fmix_RCD{Ord_k}(Mix_k,:);
	if(ri_k == -1)
        subscriptSTR = sprintf('V^{*}_{%d,%d,%d}',Ord_k, fmix(1), fmix(2));
    else
        subscriptSTR = sprintf('V_{%d,%d,%d}',Ord_k, fmix(1), fmix(2));
    end
    VprodSTR = [VprodSTR  subscriptSTR];
end
	if(Opt_LATEX) 
        disp( VprodSTR )%DEBUG
    end
    %-----------------------------
    rmixSTR = [rmixSTR  VprodSTR ' + '];
end
    if(size( Wnr.PolyOrd_MAT{n,r}, 1 ) > 1)
        rmixSTR = [rmixSTR(1:end-3) ']'];
    else
        rmixSTR = [rmixSTR(1:end-3)];
    end
        if(Opt_LATEX) 
            disp( sprintf('%-10s = %-s','rmixSTR',rmixSTR) )%DEBUG
        end
%------------------------------------------------------------- rMIX
	rcSTR	= [rcSTR  coefSTR  rmixSTR  ' + '];
end
    rcSTR	= [rcSTR(1:end-3)];
        if(Opt_LATEX) 
            disp( sprintf('%-10s = %-s','rcSTR',rcSTR) )%DEBUG
        end
    InrSTR	= [InrSTR  rcSTR  ' + ']; 
%============================================================ OrdPwr_MAT, c_VEC
	InrSTR = [InrSTR(1:end-3)  ' \big)'];
        if(Opt_LATEX) 
            disp( sprintf('%-10s = %-s','InrSTR',InrSTR) )%DEBUG
        end
end
%################################################################################################
end
end
end
%% ============================================= prints Fp
    case{'INL_DirCalc_F'}
for nRESP = 1 : size( fRESP_MAT,1 )
    fRESP_VEC = fRESP_MAT(nRESP,:);
    if(Opt_Disp)
        disp( sprintf('############################################################################ nRESP=%-5d  fRESP=[%-5d %-5d]', ...
            nRESP, fRESP_VEC) );
    end
for n = Nvec%1 : length(Fp)%MIX.N
	nmix	= RCD_IDX.nMIX(nRESP,n);
	nri 	= RCD_IDX.ri(nRESP,n);
if(nmix ~= 0)
	if(Opt_Disp)
        disp( sprintf('============================================================ n=%-5d  nMIX=%-5d  ri=%-5d  fmixSYM=%-s', ...
       	n, nmix, nri, char(MIX.fmixSYM_RCD{n}(nmix))) );
    end
%################################################################################################
for r = 2 : n
    if(Opt_Disp) 
        disp(['%============================================[r]=' num2str([r])]);
        Wnr.OrdPwr_MAT{n,r}
        Wnr.PolyOrd_MAT{n,r}
        Wnr.c_VEC{n,r}
	end
InrSTR = ['g_{'  num2str(r)  '} \big('];
%============================================================ OrdPwr_MAT, c_VEC
    if(size( Wnr.PolyOrd_MAT{n,r}, 1 ) > 1)
        rcSTR	= ['('];
    else
        rcSTR	= [];
    end
for rC = 1 : size( Wnr.PolyOrd_MAT{n,r}, 1 )
    C              	= Wnr.c_VEC{n,r}(rC);
    PolyOrd_VEC    	= Wnr.PolyOrd_MAT{n,r}(rC,:);
    PolyOrd_nMIXMAT	= Fp{n}{ nmix,nri }.wnr{r}{rC,1};
    PolyOrd_riMAT  	= Fp{n}{ nmix,nri }.wnr{r}{rC,2};
    if(Opt_Disp) 
        disp(['%--------------------------------------------[rC]=' num2str([rC])]);
        PolyOrd_nMIXMAT
        PolyOrd_riMAT
    end
    if( (C/2^(r-1)) == 1)
        coefSTR	= '';
    else
        coefSTR	= sprintf('\\frac{%d}{%d}', C, 2^(r-1));%     disp( coefSTR )
    end
        if(Opt_LATEX) 
            disp( sprintf('%-10s = %-s','coefSTR',coefSTR) )%DEBUG
        end
%----------------------------------------------------------------- rMIX
    if(size( PolyOrd_nMIXMAT, 1 ) > 1)
        rmixSTR = ['('];
    else
        rmixSTR = [];
    end
for rMIX = 1 : size( PolyOrd_nMIXMAT, 1 )
    %-----------------------------
    VprodSTR = [];
for k = 1 : length( PolyOrd_VEC )
	Ord_k	= PolyOrd_VEC(           k);
    Mix_k	= PolyOrd_nMIXMAT(  rMIX,k);
    ri_k    = PolyOrd_riMAT( rMIX,k);
	fmix  	= MIX.fmix_RCD{Ord_k}(Mix_k,:);
	if(ri_k == -1)
        subscriptSTR = sprintf('V^{*}_{%d,%d,%d}', Ord_k, fmix(1), fmix(2));
    else
        subscriptSTR = sprintf('V_{%d,%d,%d}', Ord_k, fmix(1), fmix(2));
    end
    VprodSTR = [VprodSTR  subscriptSTR];
end
	if(Opt_LATEX) 
        disp( VprodSTR )%DEBUG
    end
    %-----------------------------
    rmixSTR = [rmixSTR  VprodSTR ' + '];
end
    if(size( PolyOrd_nMIXMAT, 1 ) > 1)
        rmixSTR = [rmixSTR(1:end-3) ')'];
    else
        rmixSTR = [rmixSTR(1:end-3)];
    end
        if(Opt_LATEX) 
            disp( sprintf('%-10s = %-s','rmixSTR',rmixSTR) )%DEBUG
        end
%-----------------------------------------------------------------
	rcSTR	= [rcSTR  coefSTR  rmixSTR  ' + '];
end
    if(size( Wnr.PolyOrd_MAT{n,r}, 1 ) > 1)
        rcSTR	= [rcSTR(1:end-3) ')'];
    else
        rcSTR	= [rcSTR(1:end-3)];
    end
        if(Opt_LATEX) 
            disp( sprintf('%-10s = %-s','rcSTR',rcSTR) )%DEBUG
        end
    InrSTR	= [InrSTR  rcSTR  ' + ']; 
%============================================================ 
	InrSTR = [InrSTR(1:end-3)  '\big)'];
        if(Opt_LATEX) 
            disp( sprintf('%-10s = %-s','InrSTR',InrSTR) )%DEBUG
        end
end
%################################################################################################
end
end
end

%% ============================================= 
end

%% ########################### 
function [ ArgSTR ] = NLTF_arg( nOFFSET, nr )

ArgSTR  = '(';
for n = 1 : nr
    ArgSTR  = [ArgSTR 'f_{' num2str(nOFFSET + n) '},'];
end
ArgSTR  = [ArgSTR(1:end-1) ')'];
return

%% ########################### scrap
