function [ fHzDiv  fHz_  S21_] = S21_BandDiv( fHz, S21, Fig, Opt )

Idx1    = find( fHz <= Opt.fmin, 1, 'last');
Idx2    = find( fHz >= Opt.fmax, 1, 'first');
    if isempty(Idx1)
        disp('outside lower freq-range');
        Idx1 = 1;
    end
    if isempty(Idx2)
        disp('outside upper freq-range');
        Idx2 = length(fHz);
    end
    %[Idx1	 Idx2]%DEBUG
fHz_ 	= fHz( Idx1 : Idx2 );% size( fHz_ )%DEBUG
S21_ 	= S21( Idx1 : Idx2 );% size( S21_ )%DEBUG
    %Fig = max( get(Root, 'Children')) + 1;
    if(Fig)
        plot_Sio_Func2( fHz_, S21_, [Fig], ...
        'dB',{'yLin'},{'xLog'},{}, ...
        {''},{'Hz'},{'dB' 'deg'},{''}, ...
        ['-k.'],[],'2-Fig')
    end

switch Opt.Type
%% ########################### 
    case{'dB'}
Idx     = 1;% Start of Next Segment
fHzDiv  = fHz_(Idx);
while( Idx < length( fHz_ ))
    Idx1  	= find( real(S21_(Idx:end)) > (real(S21_(Idx)) + Opt.Val), 1, 'first');
    Idx2  	= find( real(S21_(Idx:end)) < (real(S21_(Idx)) - Opt.Val), 1, 'first');
    if(~isempty(Idx1) && ~isempty(Idx2))
        Idx	= Idx + min([Idx1-1  Idx2-1]);
    elseif ~isempty(Idx1)
        Idx	= Idx + Idx1-1;
    elseif ~isempty(Idx2)
        Idx	= Idx + Idx2-1;
    else
        Idx = length( fHz_ );
    end
%[Idx1	Idx2	Idx]%DEBUG
    fHzDiv	= [fHzDiv   fHz_(Idx)];% or interp betw (Idx-1, Idx)
    if(Fig)
        plot_Sio_Func2( [fHz_(Idx)  fHz_(Idx)], [0  S21_(Idx)], [Fig], ...
        'dB',{'yLin'},{'xLog'},{}, ...
        {''},{'Hz'},{'dB' 'deg'},{''}, ...
        ['-bo'],[],'2-Fig')
    end
end

%% ###########################
end


%% ######################################################
if(0)

FileNam = ['C:\Documents and Settings\jhu\My Documents\lv8\Data\UPC1678GV\FreqResp\' ...
    'UPC1678GV_1-8001Mhz_-30dBmAtt20_1Khz_16001pts10ms.s2p'];
[fHz  Snp  Header] = Read_SnP_Func( FileNam, 2, struct('IOformat',{'dB2dB'},'IOPortConv',{'ADSPNA2port_2_Gen'}));
[ fHzDiv ] = S21_BandDiv( fHz, Snp{3}, 99, struct('Type',{'dB'},'Val',{2},'fmin',{1e6},'fmax',{2e9}));% size( fHzDiv )

end