function [flagISFOUND	x_IDX	xXORy_IDX] = Buss_fmBasis_Func( ...
        xVEC, y, Opt_Sear, fSymVEC)
% calls FmixVec_SubsFunc
%-------------------------
% xVEC: 	ref vec/mat
% y:        elem/vec being searched for
%-------------------------
% x_IDX, xXORy_IDX:  [ptr -> xVEC]   
%           new = xVEC( x_IDX ) = intersection elements  -> old
% size follow xVEC

%---------------------------------------------
% SYM~CHAR	=> need substitute to compare	=> try isequal( sym('f1-f2'), sym('f2-f1'))
if isa( y,'sym')
    %fNumVEC = FmixVec_SubsFunc( fSymVEC );
   	fNumVEC	= 1000 + (0 : length(fSymVEC)-1);
  	y       = single(subs(y,    fSymVEC,fNumVEC));% sym(findsym(y))        {100,101}
 	xVEC    = single(subs(xVEC, fSymVEC,fNumVEC));% sym(findsym(xVEC(nX))) {100,101}
end

flagISFOUND	= 0;
x_IDX     	= [];
% overloaded def: elem-match dur loop(need reset-0 each time), elem found in xVEC

switch Opt_Sear
%% ######################################## x_IDX: find index of y in xVEC
	case {'fm_idx'}
        %=================================================================
        if isa(y,'numeric')       	%disp('numeric')
            %-------------------------
            if isscalar(y)%SCALAR 	%disp('SCALAR')
                x_IDX       = find( xVEC == y );% already shaped as xVEC
                xTempVEC  	= ones( size(xVEC) );% Reshape_Func( ones(1,length(xVEC)), xVEC);% ROW
            %-------------------------
            else%VECTOR          	%disp('VECTOR')
                for nX = 1 : size(xVEC,1)
                    if isequal( xVEC(nX,:), y )% ROW compare 
                        x_IDX = [x_IDX;	nX];% COL
                    end
                end
                xTempVEC	= ones( size(xVEC,1), 1);% COL
            %-------------------------
            end
        %=================================================================
        elseif isa(y,'char')%CHAR  	%disp('char')
            for nX = 1 : length(xVEC)
                if strcmp( xVEC{nX}, y )
                    x_IDX = [x_IDX	nX];
                end
            end
         	x_IDX       = Reshape_Func( x_IDX, xVEC);
            xTempVEC	= ones( size(xVEC) );% Reshape_Func( ones(1,length(xVEC)), xVEC);% ROW
        end
        %=================================================================
	%prevent flagISFOUND=0 if last elem ~=
 	if ~isempty(x_IDX)
      	flagISFOUND = 1;
    end
    xTempVEC(x_IDX)	= 0;
    xXORy_IDX      	= find( xTempVEC == 1 );
%% ######################################## flagISFOUND: find existence of y in xVEC
    otherwise
    if isscalar(y) %################# y scalar (?ndims == 2)
        for nX = 1 : length(xVEC)
            if isa(y,'numeric')
                flagISFOUND = (y == xVEC(nX));
            else %disp('scalar symbolic')
                y_num           = single(subs(y,     	sym(findsym(y)),            {100,101}));
                xVEC_num        = single(subs(xVEC(nX),	sym(findsym(xVEC(nX))),	{100,101}));
                xVECconj_num    = single(subs(-xVEC(nX),sym(findsym(xVEC(nX))),	{100,101}));
                flagISFOUND    = (y_num == xVEC_num) || (y_num == xVECconj_num);
                %flagISFOUND   = eq(y, xVEC(nX)) || eq(y, -xVEC(nX));
            end
            if(flagISFOUND)          	break;      	end
        end
    else %################# y vector (?ndims >= 2)
        for nX = 1 : size(xVEC,1)
            flagISFOUND = isequal(y, xVEC(nX,:)) || isequal(y, fliplr(xVEC(nX,:)));
            if(flagISFOUND)          	break;      	end
        end
    end
end

%% ######################################## TEST
if (0)
        %else%SYMBOLIC           	%disp('SYMBOLIC')
            fNumVEC = 100 + (0 : length(fSymVEC)-1);
         	y_num 	= single(subs(y, fSymVEC,fNumVEC)); %sym(findsym(y)) {100,101}
            for nX = 1 : length(xVEC)
                %disp('scalar symbolic')
                %fSymVEC
                %fNumVEC
                %convert Symbol to #: single( subs(y,fSymVEC,fNumVEC) )
                xVEC_num = single(subs(xVEC(nX), fSymVEC,fNumVEC)); %sym(findsym(xVEC(nX))) {100,101}
                if (y_num == xVEC_num)
                    x_IDX = [x_IDX nX];
                    %[sym(findsym(y)) sym(findsym(xVEC(nX)))] %disp for debug
                end
            end

        flagISFOUND = 0;
        for nX = 1 : length(x_IDX)
            if ( eq(fm(n_00),  fm(x_IDX(nX))) || ...
                 eq(fm(n_00), -fm(x_IDX(nX))) )
                flagISFOUND = 1;
                break
            end
        end

	flagISFOUND = 0;
	for n_1 = 1 : n-1 % order that generates fm_accum{n_1}
        for n_2 = 1 : length(fm_accum{n_1})
            for n_00 = 1 : length(fm_temp)
                if eq(fm_accum{n_1}(n_2), fm_temp(n_00))
                    flagISFOUND = 1;
                    break
                end
            end
          	if (flagISFOUND == 1)
            	break
            end
        end
        if (flagISFOUND == 1)
            break
        end
    end

    for n_00 = 1 : length(fm_temp)
      	flagISFOUND = 0;
        for n_1 = 1 : n-1 % order that generates fm
            for n_2 = 1 : length(fm_accum{n_1})
                if eq(fm_temp(n_00), fm_accum{n_1}(n_2))
                    flagISFOUND = 1;
                    break
                end
            end
          	if (flagISFOUND == 1)
            	break
            end
        end
        if (flagISFOUND == 0)
            fm_accum{n} = [fm_accum{n} fm_temp(n_00)];
        end
    end
    %x_IDX  = (1:length(fm)) % (1:size(fm_m,1))
    %fm_m    = m(:,Q+1:end) - fliplr(m(:,1:Q))
    %fm_idy_temp = find( fm_accum{n_1} == fm )
    %fm_accum{n}     = fm(x_IDX)
    %fm_m_accum{n}   = fm_m(x_IDX,:)

end