function [ flagISFOUND	x_IDX	xXORy_IDX ] = Find_ElemIDX( ...
        xVEC, y, yTYPE, fSymVEC)
% slower than Find_Elem: check all-elems of xVEC ?= y
% calls FmixVec_SubsFunc
%-------------------------
% xVEC: 	ref vec/mat
% y:        elem/vec being searched for
%-------------------------
% x_IDX, xXORy_IDX:  [ pointer -> to xVEC ]   intersection elem
% size follow xVEC

%=================================================================
% SYM~CHAR	=> need substitute to compare	=> try isequal( sym('f1-f2'), sym('f2-f1'))
% temp = subs( [sym('A1')], [sym('A1')], [1])               => DOUBLE
% temp = subs( [sym('A1')], [sym('B1') sym('A1')], [1 1])   => SYM, convert to DOUBLE
if isa(y,'sym')
switch yTYPE
    %-------------------------
    case{'symSUBnum'}%disp('symSUBnum')
        %fNumVEC = FmixVec_SubsFunc( fSymVEC );
        fNumVEC	= 1000 + (0 : length(fSymVEC)-1);
        y       = single(subs(y,    fSymVEC,fNumVEC));
        xVEC    = single(subs(xVEC, fSymVEC,fNumVEC));
    %-------------------------
end
end

flagISFOUND	= 0;
x_IDX     	= [];
%% ########################################
%=================================================================
if isa(y,'numeric')% 'symSUBnum' included
	if isscalar(y)%disp('numeric SCALAR')
                x_IDX       = find( xVEC == y );% already shaped as xVEC
                xTempVEC  	= ones( size(xVEC) );% Reshape_Func( ones(1,length(xVEC)), xVEC);% ROW
	%-------------------------
	else%disp('numeric VECTOR')
                for nX = 1 : size( xVEC,1 )
                    if isequal( xVEC(nX,:), y )% ROW compare 
                        x_IDX = [x_IDX;	nX];% COL
                    end
                end
                xTempVEC	= ones( size(xVEC,1), 1);% COL
	end
%=================================================================
elseif isa(y,'char')%disp('char')
            for nX = 1 : length( xVEC )
                if strcmp( xVEC{nX}, y )
                    x_IDX = [x_IDX	nX];
                end
            end
	x_IDX       = Reshape_Func( x_IDX, xVEC);
	xTempVEC	= ones( size(xVEC) );% Reshape_Func( ones(1,length(xVEC)), xVEC);% ROW
%=================================================================
elseif isa(y,'sym')
    if isa(xVEC,'cell')%disp('sym CELL')
            for nX = 1 : length( xVEC )
             	if isequal( xVEC{nX}, y )
                    x_IDX = [x_IDX	nX];
                end
            end
	%-------------------------
    else%disp('sym VECTOR')
            for nX = 1 : length( xVEC )
             	if isequal( xVEC(nX), y )
                    x_IDX = [x_IDX	nX];
                end
            end
    end
	x_IDX       = Reshape_Func( x_IDX, xVEC);
	xTempVEC	= ones( size(xVEC) );% Reshape_Func( ones(1,length(xVEC)), xVEC);% ROW
%=================================================================
end
 	if ~isempty(x_IDX)
      	flagISFOUND = 1;%prevent flagISFOUND=0 if last elem ~=
    end
    xTempVEC(x_IDX)	= 0;
    xXORy_IDX      	= find( xTempVEC == 1 );

%% ######################################## TEST
if(0)

end