function [S21_Freq_VSA] = MA2Lin_RI( S21_Freq, Opt_Pha  )

if ~exist('Opt_Pha', 'var')
    Opt_Pha = 'deg'
end

switch Opt_Pha
    case {'deg'}
        S21_Freq_VSA = real(S21_Freq).* exp(j*imag(S21_Freq)*pi/180);
    case {'rad'}
        S21_Freq_VSA = real(S21_Freq).* exp(j*imag(S21_Freq));
end

%%